import{S as $n,i as bn,s as wn,e as n,k as m,w as y,t as i,M as yn,c as a,d as t,m as g,a as s,x as L,h as d,b as c,G as e,g as x,y as M,q as k,o as E,B as T,v as Ln,L as vn}from"../../chunks/vendor-hf-doc-builder.js";import{T as Y}from"../../chunks/Tip-hf-doc-builder.js";import{D as R}from"../../chunks/Docstring-hf-doc-builder.js";import{C as xn}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as jo}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as _n}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function Mn(D){let r,v;return{c(){r=n("p"),v=i("This function is experimental and might change in the future.")},l(l){r=a(l,"P",{});var h=s(r);v=d(h,"This function is experimental and might change in the future."),h.forEach(t)},m(l,h){x(l,r,h),e(r,v)},d(l){l&&t(r)}}}function kn(D){let r,v,l,h,w,_,$,b;return{c(){r=n("p"),v=i("It is required to be logged in ("),l=n("code"),h=i("huggingface-cli login"),w=i(") when you want to use private or "),_=n("a"),$=i(`gated
models`),b=i("."),this.h()},l(f){r=a(f,"P",{});var p=s(r);v=d(p,"It is required to be logged in ("),l=a(p,"CODE",{});var P=s(l);h=d(P,"huggingface-cli login"),P.forEach(t),w=d(p,") when you want to use private or "),_=a(p,"A",{href:!0,rel:!0});var N=s(_);$=d(N,`gated
models`),N.forEach(t),b=d(p,"."),p.forEach(t),this.h()},h(){c(_,"href","https://huggingface.co/docs/hub/models-gated#gated-models"),c(_,"rel","nofollow")},m(f,p){x(f,r,p),e(r,v),e(r,l),e(l,h),e(r,w),e(r,_),e(_,$),e(r,b)},d(f){f&&t(r)}}}function En(D){let r,v;return{c(){r=n("p"),v=i("This function is experimental and might change in the future.")},l(l){r=a(l,"P",{});var h=s(r);v=d(h,"This function is experimental and might change in the future."),h.forEach(t)},m(l,h){x(l,r,h),e(r,v)},d(l){l&&t(r)}}}function Tn(D){let r,v,l,h,w,_,$,b;return{c(){r=n("p"),v=i("It is required to be logged in ("),l=n("code"),h=i("huggingface-cli login"),w=i(") when you want to use private or "),_=n("a"),$=i(`gated
models`),b=i("."),this.h()},l(f){r=a(f,"P",{});var p=s(r);v=d(p,"It is required to be logged in ("),l=a(p,"CODE",{});var P=s(l);h=d(P,"huggingface-cli login"),P.forEach(t),w=d(p,") when you want to use private or "),_=a(p,"A",{href:!0,rel:!0});var N=s(_);$=d(N,`gated
models`),N.forEach(t),b=d(p,"."),p.forEach(t),this.h()},h(){c(_,"href","https://huggingface.co/docs/hub/models-gated#gated-models"),c(_,"rel","nofollow")},m(f,p){x(f,r,p),e(r,v),e(r,l),e(l,h),e(r,w),e(r,_),e(_,$),e(r,b)},d(f){f&&t(r)}}}function Dn(D){let r,v,l,h,w,_,$,b;return $=new xn({props:{code:`from diffusers import StableDiffusionPipeline
import torch

model_id = "runwayml/stable-diffusion-v1-5"
pipe = StableDiffusionPipeline.from_pretrained(model_id, torch_dtype=torch.float16).to("cuda")

pipe.load_textual_inversion("sd-concepts-library/cat-toy")

prompt = "A <cat-toy> backpack"

image = pipe(prompt, num_inference_steps=50).images[0]
image.save("cat-backpack.png")`,highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableDiffusionPipeline
<span class="hljs-keyword">import</span> torch

model_id = <span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>
pipe = StableDiffusionPipeline.from_pretrained(model_id, torch_dtype=torch.float16).to(<span class="hljs-string">&quot;cuda&quot;</span>)

pipe.load_textual_inversion(<span class="hljs-string">&quot;sd-concepts-library/cat-toy&quot;</span>)

prompt = <span class="hljs-string">&quot;A &lt;cat-toy&gt; backpack&quot;</span>

image = pipe(prompt, num_inference_steps=<span class="hljs-number">50</span>).images[<span class="hljs-number">0</span>]
image.save(<span class="hljs-string">&quot;cat-backpack.png&quot;</span>)`}}),{c(){r=n("p"),v=i("To load a textual inversion embedding vector in "),l=n("code"),h=i("diffusers"),w=i(" format:"),_=m(),y($.$$.fragment)},l(f){r=a(f,"P",{});var p=s(r);v=d(p,"To load a textual inversion embedding vector in "),l=a(p,"CODE",{});var P=s(l);h=d(P,"diffusers"),P.forEach(t),w=d(p," format:"),p.forEach(t),_=g(f),L($.$$.fragment,f)},m(f,p){x(f,r,p),e(r,v),e(r,l),e(l,h),e(r,w),x(f,_,p),M($,f,p),b=!0},p:vn,i(f){b||(k($.$$.fragment,f),b=!0)},o(f){E($.$$.fragment,f),b=!1},d(f){f&&t(r),f&&t(_),T($,f)}}}function Pn(D){let r,v,l,h,w,_,$,b;return $=new xn({props:{code:`from diffusers import StableDiffusionPipeline
import torch

model_id = "runwayml/stable-diffusion-v1-5"
pipe = StableDiffusionPipeline.from_pretrained(model_id, torch_dtype=torch.float16).to("cuda")

pipe.load_textual_inversion("./charturnerv2.pt")

prompt = "charturnerv2, multiple views of the same character in the same outfit, a character turnaround of a woman wearing a black jacket and red shirt, best quality, intricate details."

image = pipe(prompt, num_inference_steps=50).images[0]
image.save("character.png")`,highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableDiffusionPipeline
<span class="hljs-keyword">import</span> torch

model_id = <span class="hljs-string">&quot;runwayml/stable-diffusion-v1-5&quot;</span>
pipe = StableDiffusionPipeline.from_pretrained(model_id, torch_dtype=torch.float16).to(<span class="hljs-string">&quot;cuda&quot;</span>)

pipe.load_textual_inversion(<span class="hljs-string">&quot;./charturnerv2.pt&quot;</span>)

prompt = <span class="hljs-string">&quot;charturnerv2, multiple views of the same character in the same outfit, a character turnaround of a woman wearing a black jacket and red shirt, best quality, intricate details.&quot;</span>

image = pipe(prompt, num_inference_steps=<span class="hljs-number">50</span>).images[<span class="hljs-number">0</span>]
image.save(<span class="hljs-string">&quot;character.png&quot;</span>)`}}),{c(){r=n("p"),v=i("e.g. from "),l=n("a"),h=i("civitAI"),w=i(" and then load the vector locally:"),_=m(),y($.$$.fragment),this.h()},l(f){r=a(f,"P",{});var p=s(r);v=d(p,"e.g. from "),l=a(p,"A",{href:!0,rel:!0});var P=s(l);h=d(P,"civitAI"),P.forEach(t),w=d(p," and then load the vector locally:"),p.forEach(t),_=g(f),L($.$$.fragment,f),this.h()},h(){c(l,"href","https://civitai.com/models/3036?modelVersionId=9857"),c(l,"rel","nofollow")},m(f,p){x(f,r,p),e(r,v),e(r,l),e(l,h),e(r,w),x(f,_,p),M($,f,p),b=!0},p:vn,i(f){b||(k($.$$.fragment,f),b=!0)},o(f){E($.$$.fragment,f),b=!1},d(f){f&&t(r),f&&t(_),T($,f)}}}function In(D){let r,v;return{c(){r=n("p"),v=i("This function is experimental and might change in the future.")},l(l){r=a(l,"P",{});var h=s(r);v=d(h,"This function is experimental and might change in the future."),h.forEach(t)},m(l,h){x(l,r,h),e(r,v)},d(l){l&&t(r)}}}function Cn(D){let r,v;return{c(){r=n("p"),v=i("This function is experimental and might change in the future.")},l(l){r=a(l,"P",{});var h=s(r);v=d(h,"This function is experimental and might change in the future."),h.forEach(t)},m(l,h){x(l,r,h),e(r,v)},d(l){l&&t(r)}}}function An(D){let r,v,l,h,w,_,$,b;return{c(){r=n("p"),v=i("It is required to be logged in ("),l=n("code"),h=i("huggingface-cli login"),w=i(") when you want to use private or "),_=n("a"),$=i(`gated
models`),b=i("."),this.h()},l(f){r=a(f,"P",{});var p=s(r);v=d(p,"It is required to be logged in ("),l=a(p,"CODE",{});var P=s(l);h=d(P,"huggingface-cli login"),P.forEach(t),w=d(p,") when you want to use private or "),_=a(p,"A",{href:!0,rel:!0});var N=s(_);$=d(N,`gated
models`),N.forEach(t),b=d(p,"."),p.forEach(t),this.h()},h(){c(_,"href","https://huggingface.co/docs/hub/models-gated#gated-models"),c(_,"rel","nofollow")},m(f,p){x(f,r,p),e(r,v),e(r,l),e(l,h),e(r,w),e(r,_),e(_,$),e(r,b)},d(f){f&&t(r)}}}function Nn(D){let r,v;return{c(){r=n("p"),v=i("This function is experimental and might change in the future.")},l(l){r=a(l,"P",{});var h=s(r);v=d(h,"This function is experimental and might change in the future."),h.forEach(t)},m(l,h){x(l,r,h),e(r,v)},d(l){l&&t(r)}}}function Un(D){let r,v,l,h,w,_,$,b;return{c(){r=n("p"),v=i("It is required to be logged in ("),l=n("code"),h=i("huggingface-cli login"),w=i(") when you want to use private or "),_=n("a"),$=i(`gated
models`),b=i("."),this.h()},l(f){r=a(f,"P",{});var p=s(r);v=d(p,"It is required to be logged in ("),l=a(p,"CODE",{});var P=s(l);h=d(P,"huggingface-cli login"),P.forEach(t),w=d(p,") when you want to use private or "),_=a(p,"A",{href:!0,rel:!0});var N=s(_);$=d(N,`gated
models`),N.forEach(t),b=d(p,"."),p.forEach(t),this.h()},h(){c(_,"href","https://huggingface.co/docs/hub/models-gated#gated-models"),c(_,"rel","nofollow")},m(f,p){x(f,r,p),e(r,v),e(r,l),e(l,h),e(r,w),e(r,_),e(_,$),e(r,b)},d(f){f&&t(r)}}}function qn(D){let r,v,l,h,w,_,$,b,f,p,P,N,zo,F,to,Je,st,it,ro,Le,dt,lt,no,Me,ct,Wo,Z,ft,ee,ao,pt,ht,ut,Oo,ke,so,mt,gt,Fo,V,oe,io,Ee,_t,lo,vt,Ro,H,te,co,Te,xt,fo,$t,Vo,W,De,bt,q,Pe,wt,O,yt,po,Lt,Mt,Ie,ho,kt,Et,uo,Tt,Dt,Pt,re,It,ne,Ct,ae,Ce,At,Ae,Nt,Ke,Ut,qt,Ho,B,se,mo,Ne,St,go,jt,Bo,U,Ue,zt,_o,Wt,Ot,I,qe,Ft,G,Rt,vo,Vt,Ht,xo,Bt,Gt,Jt,ie,Kt,de,Qt,$o,Xt,Yt,le,Zt,bo,er,or,ce,tr,fe,Se,rr,wo,nr,Go,J,pe,yo,je,ar,Lo,sr,Jo,C,ze,ir,K,dr,Qe,lr,cr,We,Mo,fr,pr,hr,he,ur,S,Oe,mr,Fe,gr,Re,ko,_r,vr,xr,ue,$r,me,br,j,Ve,wr,Q,yr,Xe,Lr,Mr,He,Eo,kr,Er,Tr,ge,Dr,_e,Pr,ve,Be,Ir,To,Cr,Ko;return _=new jo({}),Ee=new jo({}),Te=new jo({}),De=new R({props:{name:"class diffusers.loaders.UNet2DConditionLoadersMixin",anchor:"diffusers.loaders.UNet2DConditionLoadersMixin",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_3069/src/diffusers/loaders.py#L80"}}),Pe=new R({props:{name:"load_attn_procs",anchor:"diffusers.loaders.UNet2DConditionLoadersMixin.load_attn_procs",parameters:[{name:"pretrained_model_name_or_path_or_dict",val:": typing.Union[str, typing.Dict[str, torch.Tensor]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.loaders.UNet2DConditionLoadersMixin.load_attn_procs.pretrained_model_name_or_path_or_dict",description:`<strong>pretrained_model_name_or_path_or_dict</strong> (<code>str</code> or <code>os.PathLike</code> or <code>dict</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids should have an organization name, like <code>google/ddpm-celebahq-256</code>.</li>
<li>A path to a <em>directory</em> containing model weights saved using <code>~ModelMixin.save_config</code>, e.g.,
<code>./my_model_directory/</code>.</li>
<li>A <a href="https://pytorch.org/tutorials/beginner/saving_loading_models.html#what-is-a-state-dict" rel="nofollow">torch state
dict</a>.</li>
</ul>`,name:"pretrained_model_name_or_path_or_dict"},{anchor:"diffusers.loaders.UNet2DConditionLoadersMixin.load_attn_procs.cache_dir",description:`<strong>cache_dir</strong> (<code>Union[str, os.PathLike]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"diffusers.loaders.UNet2DConditionLoadersMixin.load_attn_procs.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"diffusers.loaders.UNet2DConditionLoadersMixin.load_attn_procs.resume_download",description:`<strong>resume_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to delete incompletely received files. Will attempt to resume the download if such a
file exists.`,name:"resume_download"},{anchor:"diffusers.loaders.UNet2DConditionLoadersMixin.load_attn_procs.proxies",description:`<strong>proxies</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
A dictionary of proxy servers to use by protocol or endpoint, e.g., <code>{&apos;http&apos;: &apos;foo.bar:3128&apos;, &apos;http://hostname&apos;: &apos;foo.bar:4012&apos;}</code>. The proxies are used on each request.`,name:"proxies"},{anchor:"diffusers.loaders.UNet2DConditionLoadersMixin.load_attn_procs.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"diffusers.loaders.UNet2DConditionLoadersMixin.load_attn_procs.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <em>bool</em>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>diffusers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"diffusers.loaders.UNet2DConditionLoadersMixin.load_attn_procs.revision",description:`<strong>revision</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;main&quot;</code>) &#x2014;
The specific model version to use. It can be a branch name, a tag name, or a commit id, since we use a
git-based system for storing models and other artifacts on huggingface.co, so <code>revision</code> can be any
identifier allowed by git.`,name:"revision"},{anchor:"diffusers.loaders.UNet2DConditionLoadersMixin.load_attn_procs.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo (either remote in
huggingface.co or downloaded locally), you can specify the folder name here.`,name:"subfolder"},{anchor:"diffusers.loaders.UNet2DConditionLoadersMixin.load_attn_procs.mirror",description:`<strong>mirror</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Mirror source to accelerate downloads in China. If you are from China and have an accessibility
problem, you can set this option to resolve it. Note that we do not guarantee the timeliness or safety.
Please refer to the mirror site for more information.`,name:"mirror"}],source:"https://github.com/huggingface/diffusers/blob/vr_3069/src/diffusers/loaders.py#L81"}}),re=new Y({props:{warning:!0,$$slots:{default:[Mn]},$$scope:{ctx:D}}}),ne=new Y({props:{$$slots:{default:[kn]},$$scope:{ctx:D}}}),Ce=new R({props:{name:"save_attn_procs",anchor:"diffusers.loaders.UNet2DConditionLoadersMixin.save_attn_procs",parameters:[{name:"save_directory",val:": typing.Union[str, os.PathLike]"},{name:"is_main_process",val:": bool = True"},{name:"weight_name",val:": str = None"},{name:"save_function",val:": typing.Callable = None"},{name:"safe_serialization",val:": bool = False"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.loaders.UNet2DConditionLoadersMixin.save_attn_procs.save_directory",description:`<strong>save_directory</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Directory to which to save. Will be created if it doesn&#x2019;t exist.`,name:"save_directory"},{anchor:"diffusers.loaders.UNet2DConditionLoadersMixin.save_attn_procs.is_main_process",description:`<strong>is_main_process</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether the process calling this is the main process or not. Useful when in distributed training like
TPUs and need to call this function on all processes. In this case, set <code>is_main_process=True</code> only on
the main process to avoid race conditions.`,name:"is_main_process"},{anchor:"diffusers.loaders.UNet2DConditionLoadersMixin.save_attn_procs.save_function",description:`<strong>save_function</strong> (<code>Callable</code>) &#x2014;
The function to use to save the state dictionary. Useful on distributed training like TPUs when one
need to replace <code>torch.save</code> by another method. Can be configured with the environment variable
<code>DIFFUSERS_SAVE_MODE</code>.`,name:"save_function"}],source:"https://github.com/huggingface/diffusers/blob/vr_3069/src/diffusers/loaders.py#L242"}}),Ne=new jo({}),Ue=new R({props:{name:"class diffusers.TextualInversionLoaderMixin",anchor:"diffusers.TextualInversionLoaderMixin",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_3069/src/diffusers/loaders.py#L304"}}),qe=new R({props:{name:"load_textual_inversion",anchor:"diffusers.TextualInversionLoaderMixin.load_textual_inversion",parameters:[{name:"pretrained_model_name_or_path",val:": typing.Union[str, typing.Dict[str, torch.Tensor]]"},{name:"token",val:": typing.Optional[str] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.TextualInversionLoaderMixin.load_textual_inversion.pretrained_model_name_or_path",description:`<strong>pretrained_model_name_or_path</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids should have an organization name, like
<code>&quot;sd-concepts-library/low-poly-hd-logos-icons&quot;</code>.</li>
<li>A path to a <em>directory</em> containing textual inversion weights, e.g.
<code>./my_text_inversion_directory/</code>.</li>
</ul>`,name:"pretrained_model_name_or_path"},{anchor:"diffusers.TextualInversionLoaderMixin.load_textual_inversion.weight_name",description:`<strong>weight_name</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Name of a custom weight file. This should be used in two cases:</p>
<ul>
<li>The saved textual inversion file is in <code>diffusers</code> format, but was saved under a specific weight
name, such as <code>text_inv.bin</code>.</li>
<li>The saved textual inversion file is in the &#x201C;Automatic1111&#x201D; form.</li>
</ul>`,name:"weight_name"},{anchor:"diffusers.TextualInversionLoaderMixin.load_textual_inversion.cache_dir",description:`<strong>cache_dir</strong> (<code>Union[str, os.PathLike]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"diffusers.TextualInversionLoaderMixin.load_textual_inversion.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"diffusers.TextualInversionLoaderMixin.load_textual_inversion.resume_download",description:`<strong>resume_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to delete incompletely received files. Will attempt to resume the download if such a
file exists.`,name:"resume_download"},{anchor:"diffusers.TextualInversionLoaderMixin.load_textual_inversion.proxies",description:`<strong>proxies</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
A dictionary of proxy servers to use by protocol or endpoint, e.g., <code>{&apos;http&apos;: &apos;foo.bar:3128&apos;, &apos;http://hostname&apos;: &apos;foo.bar:4012&apos;}</code>. The proxies are used on each request.`,name:"proxies"},{anchor:"diffusers.TextualInversionLoaderMixin.load_textual_inversion.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"diffusers.TextualInversionLoaderMixin.load_textual_inversion.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <em>bool</em>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>diffusers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"diffusers.TextualInversionLoaderMixin.load_textual_inversion.revision",description:`<strong>revision</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;main&quot;</code>) &#x2014;
The specific model version to use. It can be a branch name, a tag name, or a commit id, since we use a
git-based system for storing models and other artifacts on huggingface.co, so <code>revision</code> can be any
identifier allowed by git.`,name:"revision"},{anchor:"diffusers.TextualInversionLoaderMixin.load_textual_inversion.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo (either remote in
huggingface.co or downloaded locally), you can specify the folder name here.`,name:"subfolder"},{anchor:"diffusers.TextualInversionLoaderMixin.load_textual_inversion.mirror",description:`<strong>mirror</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Mirror source to accelerate downloads in China. If you are from China and have an accessibility
problem, you can set this option to resolve it. Note that we do not guarantee the timeliness or safety.
Please refer to the mirror site for more information.`,name:"mirror"}],source:"https://github.com/huggingface/diffusers/blob/vr_3069/src/diffusers/loaders.py#L366"}}),ie=new Y({props:{warning:!0,$$slots:{default:[En]},$$scope:{ctx:D}}}),de=new Y({props:{$$slots:{default:[Tn]},$$scope:{ctx:D}}}),le=new _n({props:{anchor:"diffusers.TextualInversionLoaderMixin.load_textual_inversion.example",$$slots:{default:[Dn]},$$scope:{ctx:D}}}),ce=new _n({props:{anchor:"diffusers.TextualInversionLoaderMixin.load_textual_inversion.example-2",$$slots:{default:[Pn]},$$scope:{ctx:D}}}),Se=new R({props:{name:"maybe_convert_prompt",anchor:"diffusers.TextualInversionLoaderMixin.maybe_convert_prompt",parameters:[{name:"prompt",val:": typing.Union[str, typing.List[str]]"},{name:"tokenizer",val:": PreTrainedTokenizer"}],parametersDescription:[{anchor:"diffusers.TextualInversionLoaderMixin.maybe_convert_prompt.prompt",description:`<strong>prompt</strong> (<code>str</code> or list of <code>str</code>) &#x2014;
The prompt or prompts to guide the image generation.`,name:"prompt"},{anchor:"diffusers.TextualInversionLoaderMixin.maybe_convert_prompt.tokenizer",description:`<strong>tokenizer</strong> (<code>PreTrainedTokenizer</code>) &#x2014;
The tokenizer responsible for encoding the prompt into input tokens.`,name:"tokenizer"}],source:"https://github.com/huggingface/diffusers/blob/vr_3069/src/diffusers/loaders.py#L309",returnDescription:`
<p>The converted prompt</p>
`,returnType:`
<p><code>str</code> or list of <code>str</code></p>
`}}),je=new jo({}),ze=new R({props:{name:"class diffusers.loaders.LoraLoaderMixin",anchor:"diffusers.loaders.LoraLoaderMixin",parameters:[],source:"https://github.com/huggingface/diffusers/blob/vr_3069/src/diffusers/loaders.py#L608"}}),he=new Y({props:{warning:!0,$$slots:{default:[In]},$$scope:{ctx:D}}}),Oe=new R({props:{name:"load_attn_procs",anchor:"diffusers.loaders.LoraLoaderMixin.load_attn_procs",parameters:[{name:"pretrained_model_name_or_path_or_dict",val:": typing.Union[str, typing.Dict[str, torch.Tensor]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.loaders.LoraLoaderMixin.load_attn_procs.pretrained_model_name_or_path_or_dict",description:`<strong>pretrained_model_name_or_path_or_dict</strong> (<code>str</code> or <code>os.PathLike</code> or <code>dict</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids should have an organization name, like <code>google/ddpm-celebahq-256</code>.</li>
<li>A path to a <em>directory</em> containing model weights saved using <code>~ModelMixin.save_config</code>, e.g.,
<code>./my_model_directory/</code>.</li>
<li>A <a href="https://pytorch.org/tutorials/beginner/saving_loading_models.html#what-is-a-state-dict" rel="nofollow">torch state
dict</a>.</li>
</ul>`,name:"pretrained_model_name_or_path_or_dict"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_attn_procs.cache_dir",description:`<strong>cache_dir</strong> (<code>Union[str, os.PathLike]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_attn_procs.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_attn_procs.resume_download",description:`<strong>resume_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to delete incompletely received files. Will attempt to resume the download if such a
file exists.`,name:"resume_download"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_attn_procs.proxies",description:`<strong>proxies</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
A dictionary of proxy servers to use by protocol or endpoint, e.g., <code>{&apos;http&apos;: &apos;foo.bar:3128&apos;, &apos;http://hostname&apos;: &apos;foo.bar:4012&apos;}</code>. The proxies are used on each request.`,name:"proxies"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_attn_procs.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_attn_procs.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <em>bool</em>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>diffusers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_attn_procs.revision",description:`<strong>revision</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;main&quot;</code>) &#x2014;
The specific model version to use. It can be a branch name, a tag name, or a commit id, since we use a
git-based system for storing models and other artifacts on huggingface.co, so <code>revision</code> can be any
identifier allowed by git.`,name:"revision"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_attn_procs.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo (either remote in
huggingface.co or downloaded locally), you can specify the folder name here.`,name:"subfolder"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_attn_procs.mirror",description:`<strong>mirror</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Mirror source to accelerate downloads in China. If you are from China and have an accessibility
problem, you can set this option to resolve it. Note that we do not guarantee the timeliness or safety.
Please refer to the mirror site for more information.`,name:"mirror"}],source:"https://github.com/huggingface/diffusers/blob/vr_3069/src/diffusers/loaders.py#L819",returnDescription:`
<p>Mapping between the module names and their corresponding
<code>LoRAAttnProcessor</code>.</p>
`,returnType:`
<p><code>Dict[name, LoRAAttnProcessor]</code></p>
`}}),ue=new Y({props:{warning:!0,$$slots:{default:[Cn]},$$scope:{ctx:D}}}),me=new Y({props:{$$slots:{default:[An]},$$scope:{ctx:D}}}),Ve=new R({props:{name:"load_lora_weights",anchor:"diffusers.loaders.LoraLoaderMixin.load_lora_weights",parameters:[{name:"pretrained_model_name_or_path_or_dict",val:": typing.Union[str, typing.Dict[str, torch.Tensor]]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"diffusers.loaders.LoraLoaderMixin.load_lora_weights.pretrained_model_name_or_path_or_dict",description:`<strong>pretrained_model_name_or_path_or_dict</strong> (<code>str</code> or <code>os.PathLike</code> or <code>dict</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids should have an organization name, like <code>google/ddpm-celebahq-256</code>.</li>
<li>A path to a <em>directory</em> containing model weights saved using <code>~ModelMixin.save_config</code>, e.g.,
<code>./my_model_directory/</code>.</li>
<li>A <a href="https://pytorch.org/tutorials/beginner/saving_loading_models.html#what-is-a-state-dict" rel="nofollow">torch state
dict</a>.</li>
</ul>`,name:"pretrained_model_name_or_path_or_dict"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_lora_weights.cache_dir",description:`<strong>cache_dir</strong> (<code>Union[str, os.PathLike]</code>, <em>optional</em>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_lora_weights.force_download",description:`<strong>force_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_lora_weights.resume_download",description:`<strong>resume_download</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to delete incompletely received files. Will attempt to resume the download if such a
file exists.`,name:"resume_download"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_lora_weights.proxies",description:`<strong>proxies</strong> (<code>Dict[str, str]</code>, <em>optional</em>) &#x2014;
A dictionary of proxy servers to use by protocol or endpoint, e.g., <code>{&apos;http&apos;: &apos;foo.bar:3128&apos;, &apos;http://hostname&apos;: &apos;foo.bar:4012&apos;}</code>. The proxies are used on each request.`,name:"proxies"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_lora_weights.local_files_only(bool,",description:`<strong>local_files_only(<code>bool</code>,</strong> <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only(bool,"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_lora_weights.use_auth_token",description:`<strong>use_auth_token</strong> (<code>str</code> or <em>bool</em>, <em>optional</em>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>diffusers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_lora_weights.revision",description:`<strong>revision</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;main&quot;</code>) &#x2014;
The specific model version to use. It can be a branch name, a tag name, or a commit id, since we use a
git-based system for storing models and other artifacts on huggingface.co, so <code>revision</code> can be any
identifier allowed by git.`,name:"revision"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_lora_weights.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo (either remote in
huggingface.co or downloaded locally), you can specify the folder name here.`,name:"subfolder"},{anchor:"diffusers.loaders.LoraLoaderMixin.load_lora_weights.mirror",description:`<strong>mirror</strong> (<code>str</code>, <em>optional</em>) &#x2014;
Mirror source to accelerate downloads in China. If you are from China and have an accessibility
problem, you can set this option to resolve it. Note that we do not guarantee the timeliness or safety.
Please refer to the mirror site for more information.`,name:"mirror"}],source:"https://github.com/huggingface/diffusers/blob/vr_3069/src/diffusers/loaders.py#L622"}}),ge=new Y({props:{warning:!0,$$slots:{default:[Nn]},$$scope:{ctx:D}}}),_e=new Y({props:{$$slots:{default:[Un]},$$scope:{ctx:D}}}),Be=new R({props:{name:"save_lora_weights",anchor:"diffusers.loaders.LoraLoaderMixin.save_lora_weights",parameters:[{name:"save_directory",val:": typing.Union[str, os.PathLike]"},{name:"unet_lora_layers",val:": typing.Dict[str, torch.nn.modules.module.Module] = None"},{name:"text_encoder_lora_layers",val:": typing.Dict[str, torch.nn.modules.module.Module] = None"},{name:"is_main_process",val:": bool = True"},{name:"weight_name",val:": str = None"},{name:"save_function",val:": typing.Callable = None"},{name:"safe_serialization",val:": bool = False"}],parametersDescription:[{anchor:"diffusers.loaders.LoraLoaderMixin.save_lora_weights.save_directory",description:`<strong>save_directory</strong> (<code>str</code> or <code>os.PathLike</code>) &#x2014;
Directory to which to save. Will be created if it doesn&#x2019;t exist.`,name:"save_directory"},{anchor:"diffusers.loaders.LoraLoaderMixin.save_lora_weights.unet_lora_layers",description:`<strong>unet_lora_layers</strong> (<code>Dict[str, torch.nn.Module</code>]) &#x2014;
State dict of the LoRA layers corresponding to the UNet. Specifying this helps to make the
serialization process easier and cleaner.`,name:"unet_lora_layers"},{anchor:"diffusers.loaders.LoraLoaderMixin.save_lora_weights.text_encoder_lora_layers",description:`<strong>text_encoder_lora_layers</strong> (<code>Dict[str, torch.nn.Module</code>]) &#x2014;
State dict of the LoRA layers corresponding to the <code>text_encoder</code>. Since the <code>text_encoder</code> comes from
<code>transformers</code>, we cannot rejig it. That is why we have to explicitly pass the text encoder LoRA state
dict.`,name:"text_encoder_lora_layers"},{anchor:"diffusers.loaders.LoraLoaderMixin.save_lora_weights.is_main_process",description:`<strong>is_main_process</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether the process calling this is the main process or not. Useful when in distributed training like
TPUs and need to call this function on all processes. In this case, set <code>is_main_process=True</code> only on
the main process to avoid race conditions.`,name:"is_main_process"},{anchor:"diffusers.loaders.LoraLoaderMixin.save_lora_weights.save_function",description:`<strong>save_function</strong> (<code>Callable</code>) &#x2014;
The function to use to save the state dictionary. Useful on distributed training like TPUs when one
need to replace <code>torch.save</code> by another method. Can be configured with the environment variable
<code>DIFFUSERS_SAVE_MODE</code>.`,name:"save_function"}],source:"https://github.com/huggingface/diffusers/blob/vr_3069/src/diffusers/loaders.py#L982"}}),{c(){r=n("meta"),v=m(),l=n("h1"),h=n("a"),w=n("span"),y(_.$$.fragment),$=m(),b=n("span"),f=i("Loaders"),p=m(),P=n("p"),N=i("There are many ways to train adapter neural networks for diffusion models, such as"),zo=m(),F=n("ul"),to=n("li"),Je=n("a"),st=i("Textual Inversion"),it=m(),ro=n("li"),Le=n("a"),dt=i("LoRA"),lt=m(),no=n("li"),Me=n("a"),ct=i("Hypernetworks"),Wo=m(),Z=n("p"),ft=i(`Such adapter neural networks often only consist of a fraction of the number of weights compared
to the pretrained model and as such are very portable. The Diffusers library offers an easy-to-use
API to load such adapter neural networks via the `),ee=n("a"),ao=n("code"),pt=i("loaders.py"),ht=i(" module"),ut=i("."),Oo=m(),ke=n("p"),so=n("strong"),mt=i("Note"),gt=i(": This module is still highly experimental and prone to future changes."),Fo=m(),V=n("h2"),oe=n("a"),io=n("span"),y(Ee.$$.fragment),_t=m(),lo=n("span"),vt=i("LoaderMixins"),Ro=m(),H=n("h3"),te=n("a"),co=n("span"),y(Te.$$.fragment),xt=m(),fo=n("span"),$t=i("UNet2DConditionLoadersMixin"),Vo=m(),W=n("div"),y(De.$$.fragment),bt=m(),q=n("div"),y(Pe.$$.fragment),wt=m(),O=n("p"),yt=i("Load pretrained attention processor layers into "),po=n("code"),Lt=i("UNet2DConditionModel"),Mt=i(`. Attention processor layers have to be
defined in
`),Ie=n("a"),ho=n("code"),kt=i("cross_attention.py"),Et=i(`
and be a `),uo=n("code"),Tt=i("torch.nn.Module"),Dt=i(" class."),Pt=m(),y(re.$$.fragment),It=m(),y(ne.$$.fragment),Ct=m(),ae=n("div"),y(Ce.$$.fragment),At=m(),Ae=n("p"),Nt=i(`Save an attention processor to a directory, so that it can be re-loaded using the
`),Ke=n("a"),Ut=i("load_attn_procs()"),qt=i(" method."),Ho=m(),B=n("h3"),se=n("a"),mo=n("span"),y(Ne.$$.fragment),St=m(),go=n("span"),jt=i("TextualInversionLoaderMixin"),Bo=m(),U=n("div"),y(Ue.$$.fragment),zt=m(),_o=n("p"),Wt=i("Mixin class for loading textual inversion tokens and embeddings to the tokenizer and text encoder."),Ot=m(),I=n("div"),y(qe.$$.fragment),Ft=m(),G=n("p"),Rt=i("Load textual inversion embeddings into the text encoder of stable diffusion pipelines. Both "),vo=n("code"),Vt=i("diffusers"),Ht=i(` and
`),xo=n("code"),Bt=i("Automatic1111"),Gt=i(" formats are supported (see example below)."),Jt=m(),y(ie.$$.fragment),Kt=m(),y(de.$$.fragment),Qt=m(),$o=n("p"),Xt=i("Example:"),Yt=m(),y(le.$$.fragment),Zt=m(),bo=n("p"),er=i("To load a textual inversion embedding vector in Automatic1111 format, make sure to first download the vector,"),or=m(),y(ce.$$.fragment),tr=m(),fe=n("div"),y(Se.$$.fragment),rr=m(),wo=n("p"),nr=i(`Maybe convert a prompt into a \u201Cmulti vector\u201D-compatible prompt. If the prompt includes a token that corresponds
to a multi-vector textual inversion embedding, this function will process the prompt so that the special token
is replaced with multiple special tokens each corresponding to one of the vectors. If the prompt has no textual
inversion token or a textual inversion token that is a single vector, the input prompt is simply returned.`),Go=m(),J=n("h3"),pe=n("a"),yo=n("span"),y(je.$$.fragment),ar=m(),Lo=n("span"),sr=i("LoraLoaderMixin"),Jo=m(),C=n("div"),y(ze.$$.fragment),ir=m(),K=n("p"),dr=i("Utility class for handling the loading LoRA layers into UNet (of class "),Qe=n("a"),lr=i("UNet2DConditionModel"),cr=i(`) and Text Encoder
(of class `),We=n("a"),Mo=n("code"),fr=i("CLIPTextModel"),pr=i(")."),hr=m(),y(he.$$.fragment),ur=m(),S=n("div"),y(Oe.$$.fragment),mr=m(),Fe=n("p"),gr=i(`Load pretrained attention processor layers for
`),Re=n("a"),ko=n("code"),_r=i("CLIPTextModel"),vr=i("."),xr=m(),y(ue.$$.fragment),$r=m(),y(me.$$.fragment),br=m(),j=n("div"),y(Ve.$$.fragment),wr=m(),Q=n("p"),yr=i("Load pretrained attention processor layers (such as LoRA) into "),Xe=n("a"),Lr=i("UNet2DConditionModel"),Mr=i(` and
`),He=n("a"),Eo=n("code"),kr=i("CLIPTextModel"),Er=i(")."),Tr=m(),y(ge.$$.fragment),Dr=m(),y(_e.$$.fragment),Pr=m(),ve=n("div"),y(Be.$$.fragment),Ir=m(),To=n("p"),Cr=i("Save the LoRA parameters corresponding to the UNet and the text encoder."),this.h()},l(o){const u=yn('[data-svelte="svelte-1phssyn"]',document.head);r=a(u,"META",{name:!0,content:!0}),u.forEach(t),v=g(o),l=a(o,"H1",{class:!0});var Ge=s(l);h=a(Ge,"A",{id:!0,class:!0,href:!0});var Do=s(h);w=a(Do,"SPAN",{});var Po=s(w);L(_.$$.fragment,Po),Po.forEach(t),Do.forEach(t),$=g(Ge),b=a(Ge,"SPAN",{});var Io=s(b);f=d(Io,"Loaders"),Io.forEach(t),Ge.forEach(t),p=g(o),P=a(o,"P",{});var Co=s(P);N=d(Co,"There are many ways to train adapter neural networks for diffusion models, such as"),Co.forEach(t),zo=g(o),F=a(o,"UL",{});var X=s(F);to=a(X,"LI",{});var Ao=s(to);Je=a(Ao,"A",{href:!0});var No=s(Je);st=d(No,"Textual Inversion"),No.forEach(t),Ao.forEach(t),it=g(X),ro=a(X,"LI",{});var Uo=s(ro);Le=a(Uo,"A",{href:!0,rel:!0});var qo=s(Le);dt=d(qo,"LoRA"),qo.forEach(t),Uo.forEach(t),lt=g(X),no=a(X,"LI",{});var So=s(no);Me=a(So,"A",{href:!0,rel:!0});var Ur=s(Me);ct=d(Ur,"Hypernetworks"),Ur.forEach(t),So.forEach(t),X.forEach(t),Wo=g(o),Z=a(o,"P",{});var Qo=s(Z);ft=d(Qo,`Such adapter neural networks often only consist of a fraction of the number of weights compared
to the pretrained model and as such are very portable. The Diffusers library offers an easy-to-use
API to load such adapter neural networks via the `),ee=a(Qo,"A",{href:!0,rel:!0});var Ar=s(ee);ao=a(Ar,"CODE",{});var qr=s(ao);pt=d(qr,"loaders.py"),qr.forEach(t),ht=d(Ar," module"),Ar.forEach(t),ut=d(Qo,"."),Qo.forEach(t),Oo=g(o),ke=a(o,"P",{});var Nr=s(ke);so=a(Nr,"STRONG",{});var Sr=s(so);mt=d(Sr,"Note"),Sr.forEach(t),gt=d(Nr,": This module is still highly experimental and prone to future changes."),Nr.forEach(t),Fo=g(o),V=a(o,"H2",{class:!0});var Xo=s(V);oe=a(Xo,"A",{id:!0,class:!0,href:!0});var jr=s(oe);io=a(jr,"SPAN",{});var zr=s(io);L(Ee.$$.fragment,zr),zr.forEach(t),jr.forEach(t),_t=g(Xo),lo=a(Xo,"SPAN",{});var Wr=s(lo);vt=d(Wr,"LoaderMixins"),Wr.forEach(t),Xo.forEach(t),Ro=g(o),H=a(o,"H3",{class:!0});var Yo=s(H);te=a(Yo,"A",{id:!0,class:!0,href:!0});var Or=s(te);co=a(Or,"SPAN",{});var Fr=s(co);L(Te.$$.fragment,Fr),Fr.forEach(t),Or.forEach(t),xt=g(Yo),fo=a(Yo,"SPAN",{});var Rr=s(fo);$t=d(Rr,"UNet2DConditionLoadersMixin"),Rr.forEach(t),Yo.forEach(t),Vo=g(o),W=a(o,"DIV",{class:!0});var Ye=s(W);L(De.$$.fragment,Ye),bt=g(Ye),q=a(Ye,"DIV",{class:!0});var xe=s(q);L(Pe.$$.fragment,xe),wt=g(xe),O=a(xe,"P",{});var $e=s(O);yt=d($e,"Load pretrained attention processor layers into "),po=a($e,"CODE",{});var Vr=s(po);Lt=d(Vr,"UNet2DConditionModel"),Vr.forEach(t),Mt=d($e,`. Attention processor layers have to be
defined in
`),Ie=a($e,"A",{href:!0,rel:!0});var Hr=s(Ie);ho=a(Hr,"CODE",{});var Br=s(ho);kt=d(Br,"cross_attention.py"),Br.forEach(t),Hr.forEach(t),Et=d($e,`
and be a `),uo=a($e,"CODE",{});var Gr=s(uo);Tt=d(Gr,"torch.nn.Module"),Gr.forEach(t),Dt=d($e," class."),$e.forEach(t),Pt=g(xe),L(re.$$.fragment,xe),It=g(xe),L(ne.$$.fragment,xe),xe.forEach(t),Ct=g(Ye),ae=a(Ye,"DIV",{class:!0});var Zo=s(ae);L(Ce.$$.fragment,Zo),At=g(Zo),Ae=a(Zo,"P",{});var et=s(Ae);Nt=d(et,`Save an attention processor to a directory, so that it can be re-loaded using the
`),Ke=a(et,"A",{href:!0});var Jr=s(Ke);Ut=d(Jr,"load_attn_procs()"),Jr.forEach(t),qt=d(et," method."),et.forEach(t),Zo.forEach(t),Ye.forEach(t),Ho=g(o),B=a(o,"H3",{class:!0});var ot=s(B);se=a(ot,"A",{id:!0,class:!0,href:!0});var Kr=s(se);mo=a(Kr,"SPAN",{});var Qr=s(mo);L(Ne.$$.fragment,Qr),Qr.forEach(t),Kr.forEach(t),St=g(ot),go=a(ot,"SPAN",{});var Xr=s(go);jt=d(Xr,"TextualInversionLoaderMixin"),Xr.forEach(t),ot.forEach(t),Bo=g(o),U=a(o,"DIV",{class:!0});var be=s(U);L(Ue.$$.fragment,be),zt=g(be),_o=a(be,"P",{});var Yr=s(_o);Wt=d(Yr,"Mixin class for loading textual inversion tokens and embeddings to the tokenizer and text encoder."),Yr.forEach(t),Ot=g(be),I=a(be,"DIV",{class:!0});var A=s(I);L(qe.$$.fragment,A),Ft=g(A),G=a(A,"P",{});var Ze=s(G);Rt=d(Ze,"Load textual inversion embeddings into the text encoder of stable diffusion pipelines. Both "),vo=a(Ze,"CODE",{});var Zr=s(vo);Vt=d(Zr,"diffusers"),Zr.forEach(t),Ht=d(Ze,` and
`),xo=a(Ze,"CODE",{});var en=s(xo);Bt=d(en,"Automatic1111"),en.forEach(t),Gt=d(Ze," formats are supported (see example below)."),Ze.forEach(t),Jt=g(A),L(ie.$$.fragment,A),Kt=g(A),L(de.$$.fragment,A),Qt=g(A),$o=a(A,"P",{});var on=s($o);Xt=d(on,"Example:"),on.forEach(t),Yt=g(A),L(le.$$.fragment,A),Zt=g(A),bo=a(A,"P",{});var tn=s(bo);er=d(tn,"To load a textual inversion embedding vector in Automatic1111 format, make sure to first download the vector,"),tn.forEach(t),or=g(A),L(ce.$$.fragment,A),A.forEach(t),tr=g(be),fe=a(be,"DIV",{class:!0});var tt=s(fe);L(Se.$$.fragment,tt),rr=g(tt),wo=a(tt,"P",{});var rn=s(wo);nr=d(rn,`Maybe convert a prompt into a \u201Cmulti vector\u201D-compatible prompt. If the prompt includes a token that corresponds
to a multi-vector textual inversion embedding, this function will process the prompt so that the special token
is replaced with multiple special tokens each corresponding to one of the vectors. If the prompt has no textual
inversion token or a textual inversion token that is a single vector, the input prompt is simply returned.`),rn.forEach(t),tt.forEach(t),be.forEach(t),Go=g(o),J=a(o,"H3",{class:!0});var rt=s(J);pe=a(rt,"A",{id:!0,class:!0,href:!0});var nn=s(pe);yo=a(nn,"SPAN",{});var an=s(yo);L(je.$$.fragment,an),an.forEach(t),nn.forEach(t),ar=g(rt),Lo=a(rt,"SPAN",{});var sn=s(Lo);sr=d(sn,"LoraLoaderMixin"),sn.forEach(t),rt.forEach(t),Jo=g(o),C=a(o,"DIV",{class:!0});var z=s(C);L(ze.$$.fragment,z),ir=g(z),K=a(z,"P",{});var eo=s(K);dr=d(eo,"Utility class for handling the loading LoRA layers into UNet (of class "),Qe=a(eo,"A",{href:!0});var dn=s(Qe);lr=d(dn,"UNet2DConditionModel"),dn.forEach(t),cr=d(eo,`) and Text Encoder
(of class `),We=a(eo,"A",{href:!0,rel:!0});var ln=s(We);Mo=a(ln,"CODE",{});var cn=s(Mo);fr=d(cn,"CLIPTextModel"),cn.forEach(t),ln.forEach(t),pr=d(eo,")."),eo.forEach(t),hr=g(z),L(he.$$.fragment,z),ur=g(z),S=a(z,"DIV",{class:!0});var we=s(S);L(Oe.$$.fragment,we),mr=g(we),Fe=a(we,"P",{});var nt=s(Fe);gr=d(nt,`Load pretrained attention processor layers for
`),Re=a(nt,"A",{href:!0,rel:!0});var fn=s(Re);ko=a(fn,"CODE",{});var pn=s(ko);_r=d(pn,"CLIPTextModel"),pn.forEach(t),fn.forEach(t),vr=d(nt,"."),nt.forEach(t),xr=g(we),L(ue.$$.fragment,we),$r=g(we),L(me.$$.fragment,we),we.forEach(t),br=g(z),j=a(z,"DIV",{class:!0});var ye=s(j);L(Ve.$$.fragment,ye),wr=g(ye),Q=a(ye,"P",{});var oo=s(Q);yr=d(oo,"Load pretrained attention processor layers (such as LoRA) into "),Xe=a(oo,"A",{href:!0});var hn=s(Xe);Lr=d(hn,"UNet2DConditionModel"),hn.forEach(t),Mr=d(oo,` and
`),He=a(oo,"A",{href:!0,rel:!0});var un=s(He);Eo=a(un,"CODE",{});var mn=s(Eo);kr=d(mn,"CLIPTextModel"),mn.forEach(t),un.forEach(t),Er=d(oo,")."),oo.forEach(t),Tr=g(ye),L(ge.$$.fragment,ye),Dr=g(ye),L(_e.$$.fragment,ye),ye.forEach(t),Pr=g(z),ve=a(z,"DIV",{class:!0});var at=s(ve);L(Be.$$.fragment,at),Ir=g(at),To=a(at,"P",{});var gn=s(To);Cr=d(gn,"Save the LoRA parameters corresponding to the UNet and the text encoder."),gn.forEach(t),at.forEach(t),z.forEach(t),this.h()},h(){c(r,"name","hf:doc:metadata"),c(r,"content",JSON.stringify(Sn)),c(h,"id","loaders"),c(h,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(h,"href","#loaders"),c(l,"class","relative group"),c(Je,"href","./training/text_inversion.mdx"),c(Le,"href","https://github.com/cloneofsimo/lora"),c(Le,"rel","nofollow"),c(Me,"href","https://arxiv.org/abs/1609.09106"),c(Me,"rel","nofollow"),c(ee,"href","https://github.com/huggingface/diffusers/blob/main/src/diffusers/loaders.py"),c(ee,"rel","nofollow"),c(oe,"id","loadermixins"),c(oe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(oe,"href","#loadermixins"),c(V,"class","relative group"),c(te,"id","diffusers.loaders.UNet2DConditionLoadersMixin"),c(te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(te,"href","#diffusers.loaders.UNet2DConditionLoadersMixin"),c(H,"class","relative group"),c(Ie,"href","https://github.com/huggingface/diffusers/blob/main/src/diffusers/models/cross_attention.py"),c(Ie,"rel","nofollow"),c(q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Ke,"href","/docs/diffusers/pr_3069/en/api/loaders#diffusers.loaders.UNet2DConditionLoadersMixin.load_attn_procs"),c(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(se,"id","diffusers.TextualInversionLoaderMixin"),c(se,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(se,"href","#diffusers.TextualInversionLoaderMixin"),c(B,"class","relative group"),c(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(pe,"id","diffusers.loaders.LoraLoaderMixin"),c(pe,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),c(pe,"href","#diffusers.loaders.LoraLoaderMixin"),c(J,"class","relative group"),c(Qe,"href","/docs/diffusers/pr_3069/en/api/models#diffusers.UNet2DConditionModel"),c(We,"href","https://huggingface.co/docs/transformers/model_doc/clip#transformers.CLIPTextModel"),c(We,"rel","nofollow"),c(Re,"href","https://huggingface.co/docs/transformers/model_doc/clip#transformers.CLIPTextModel"),c(Re,"rel","nofollow"),c(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(Xe,"href","/docs/diffusers/pr_3069/en/api/models#diffusers.UNet2DConditionModel"),c(He,"href","https://huggingface.co/docs/transformers/model_doc/clip#transformers.CLIPTextModel"),c(He,"rel","nofollow"),c(j,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),c(C,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(o,u){e(document.head,r),x(o,v,u),x(o,l,u),e(l,h),e(h,w),M(_,w,null),e(l,$),e(l,b),e(b,f),x(o,p,u),x(o,P,u),e(P,N),x(o,zo,u),x(o,F,u),e(F,to),e(to,Je),e(Je,st),e(F,it),e(F,ro),e(ro,Le),e(Le,dt),e(F,lt),e(F,no),e(no,Me),e(Me,ct),x(o,Wo,u),x(o,Z,u),e(Z,ft),e(Z,ee),e(ee,ao),e(ao,pt),e(ee,ht),e(Z,ut),x(o,Oo,u),x(o,ke,u),e(ke,so),e(so,mt),e(ke,gt),x(o,Fo,u),x(o,V,u),e(V,oe),e(oe,io),M(Ee,io,null),e(V,_t),e(V,lo),e(lo,vt),x(o,Ro,u),x(o,H,u),e(H,te),e(te,co),M(Te,co,null),e(H,xt),e(H,fo),e(fo,$t),x(o,Vo,u),x(o,W,u),M(De,W,null),e(W,bt),e(W,q),M(Pe,q,null),e(q,wt),e(q,O),e(O,yt),e(O,po),e(po,Lt),e(O,Mt),e(O,Ie),e(Ie,ho),e(ho,kt),e(O,Et),e(O,uo),e(uo,Tt),e(O,Dt),e(q,Pt),M(re,q,null),e(q,It),M(ne,q,null),e(W,Ct),e(W,ae),M(Ce,ae,null),e(ae,At),e(ae,Ae),e(Ae,Nt),e(Ae,Ke),e(Ke,Ut),e(Ae,qt),x(o,Ho,u),x(o,B,u),e(B,se),e(se,mo),M(Ne,mo,null),e(B,St),e(B,go),e(go,jt),x(o,Bo,u),x(o,U,u),M(Ue,U,null),e(U,zt),e(U,_o),e(_o,Wt),e(U,Ot),e(U,I),M(qe,I,null),e(I,Ft),e(I,G),e(G,Rt),e(G,vo),e(vo,Vt),e(G,Ht),e(G,xo),e(xo,Bt),e(G,Gt),e(I,Jt),M(ie,I,null),e(I,Kt),M(de,I,null),e(I,Qt),e(I,$o),e($o,Xt),e(I,Yt),M(le,I,null),e(I,Zt),e(I,bo),e(bo,er),e(I,or),M(ce,I,null),e(U,tr),e(U,fe),M(Se,fe,null),e(fe,rr),e(fe,wo),e(wo,nr),x(o,Go,u),x(o,J,u),e(J,pe),e(pe,yo),M(je,yo,null),e(J,ar),e(J,Lo),e(Lo,sr),x(o,Jo,u),x(o,C,u),M(ze,C,null),e(C,ir),e(C,K),e(K,dr),e(K,Qe),e(Qe,lr),e(K,cr),e(K,We),e(We,Mo),e(Mo,fr),e(K,pr),e(C,hr),M(he,C,null),e(C,ur),e(C,S),M(Oe,S,null),e(S,mr),e(S,Fe),e(Fe,gr),e(Fe,Re),e(Re,ko),e(ko,_r),e(Fe,vr),e(S,xr),M(ue,S,null),e(S,$r),M(me,S,null),e(C,br),e(C,j),M(Ve,j,null),e(j,wr),e(j,Q),e(Q,yr),e(Q,Xe),e(Xe,Lr),e(Q,Mr),e(Q,He),e(He,Eo),e(Eo,kr),e(Q,Er),e(j,Tr),M(ge,j,null),e(j,Dr),M(_e,j,null),e(C,Pr),e(C,ve),M(Be,ve,null),e(ve,Ir),e(ve,To),e(To,Cr),Ko=!0},p(o,[u]){const Ge={};u&2&&(Ge.$$scope={dirty:u,ctx:o}),re.$set(Ge);const Do={};u&2&&(Do.$$scope={dirty:u,ctx:o}),ne.$set(Do);const Po={};u&2&&(Po.$$scope={dirty:u,ctx:o}),ie.$set(Po);const Io={};u&2&&(Io.$$scope={dirty:u,ctx:o}),de.$set(Io);const Co={};u&2&&(Co.$$scope={dirty:u,ctx:o}),le.$set(Co);const X={};u&2&&(X.$$scope={dirty:u,ctx:o}),ce.$set(X);const Ao={};u&2&&(Ao.$$scope={dirty:u,ctx:o}),he.$set(Ao);const No={};u&2&&(No.$$scope={dirty:u,ctx:o}),ue.$set(No);const Uo={};u&2&&(Uo.$$scope={dirty:u,ctx:o}),me.$set(Uo);const qo={};u&2&&(qo.$$scope={dirty:u,ctx:o}),ge.$set(qo);const So={};u&2&&(So.$$scope={dirty:u,ctx:o}),_e.$set(So)},i(o){Ko||(k(_.$$.fragment,o),k(Ee.$$.fragment,o),k(Te.$$.fragment,o),k(De.$$.fragment,o),k(Pe.$$.fragment,o),k(re.$$.fragment,o),k(ne.$$.fragment,o),k(Ce.$$.fragment,o),k(Ne.$$.fragment,o),k(Ue.$$.fragment,o),k(qe.$$.fragment,o),k(ie.$$.fragment,o),k(de.$$.fragment,o),k(le.$$.fragment,o),k(ce.$$.fragment,o),k(Se.$$.fragment,o),k(je.$$.fragment,o),k(ze.$$.fragment,o),k(he.$$.fragment,o),k(Oe.$$.fragment,o),k(ue.$$.fragment,o),k(me.$$.fragment,o),k(Ve.$$.fragment,o),k(ge.$$.fragment,o),k(_e.$$.fragment,o),k(Be.$$.fragment,o),Ko=!0)},o(o){E(_.$$.fragment,o),E(Ee.$$.fragment,o),E(Te.$$.fragment,o),E(De.$$.fragment,o),E(Pe.$$.fragment,o),E(re.$$.fragment,o),E(ne.$$.fragment,o),E(Ce.$$.fragment,o),E(Ne.$$.fragment,o),E(Ue.$$.fragment,o),E(qe.$$.fragment,o),E(ie.$$.fragment,o),E(de.$$.fragment,o),E(le.$$.fragment,o),E(ce.$$.fragment,o),E(Se.$$.fragment,o),E(je.$$.fragment,o),E(ze.$$.fragment,o),E(he.$$.fragment,o),E(Oe.$$.fragment,o),E(ue.$$.fragment,o),E(me.$$.fragment,o),E(Ve.$$.fragment,o),E(ge.$$.fragment,o),E(_e.$$.fragment,o),E(Be.$$.fragment,o),Ko=!1},d(o){t(r),o&&t(v),o&&t(l),T(_),o&&t(p),o&&t(P),o&&t(zo),o&&t(F),o&&t(Wo),o&&t(Z),o&&t(Oo),o&&t(ke),o&&t(Fo),o&&t(V),T(Ee),o&&t(Ro),o&&t(H),T(Te),o&&t(Vo),o&&t(W),T(De),T(Pe),T(re),T(ne),T(Ce),o&&t(Ho),o&&t(B),T(Ne),o&&t(Bo),o&&t(U),T(Ue),T(qe),T(ie),T(de),T(le),T(ce),T(Se),o&&t(Go),o&&t(J),T(je),o&&t(Jo),o&&t(C),T(ze),T(he),T(Oe),T(ue),T(me),T(Ve),T(ge),T(_e),T(Be)}}}const Sn={local:"loaders",sections:[{local:"loadermixins",sections:[{local:"diffusers.loaders.UNet2DConditionLoadersMixin",title:"UNet2DConditionLoadersMixin"},{local:"diffusers.TextualInversionLoaderMixin",title:"TextualInversionLoaderMixin"},{local:"diffusers.loaders.LoraLoaderMixin",title:"LoraLoaderMixin"}],title:"LoaderMixins"}],title:"Loaders"};function jn(D){return Ln(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Hn extends $n{constructor(r){super();bn(this,r,jn,qn,wn,{})}}export{Hn as default,Sn as metadata};
