import{S as hr,i as cr,s as dr,e as i,k as u,w as _,t as r,M as mr,c as a,d as s,m as h,a as l,x as b,h as o,b as n,G as e,g as f,y as v,L as gr,q as w,o as y,B as S,v as _r}from"../../../chunks/vendor-hf-doc-builder.js";import{I as se}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{C as mt}from"../../../chunks/CodeBlock-hf-doc-builder.js";function br(Ua){let $,Qt,P,V,gt,ie,xs,_t,As,Wt,m,Ms,bt,Ls,Ns,ae,Ts,Os,le,Cs,Us,re,Bs,Hs,Kt,Me,j,Rs,oe,Fs,Gs,ne,zs,Vs,Jt,Y,Ys,pe,Qs,Ws,Xt,k,Q,vt,fe,Ks,wt,Js,Zt,q,W,yt,ue,Xs,St,Zs,es,E,ei,Le,ti,si,Ne,ii,ai,ts,g,x,Et,li,ri,he,oi,ni,Te,pi,fi,A,Dt,ui,hi,ce,ci,di,Oe,mi,gi,M,It,_i,bi,de,vi,wi,Ce,yi,Si,L,$t,Ei,Di,me,Ii,$i,Ue,Pi,ji,N,Pt,ki,qi,ge,xi,Ai,jt,Mi,ss,K,Li,Be,Ni,Ti,is,T,J,kt,_e,Oi,qt,Ci,as,He,O,xt,Ui,Bi,be,Hi,Ri,Re,Fi,ls,ve,rs,Fe,C,At,Gi,zi,we,Vi,Yi,Ge,Qi,os,ye,ns,U,X,Mt,Se,Wi,Lt,Ki,ps,ze,B,Nt,Ji,Xi,Ee,Zi,ea,Ve,ta,fs,De,us,H,Z,Tt,Ie,sa,Ot,ia,hs,Ye,R,Ct,aa,la,$e,ra,oa,Qe,na,cs,Pe,ds,F,ee,Ut,je,pa,Bt,fa,ms,We,G,Ht,ua,ha,ke,ca,da,Rt,ma,gs,qe,_s,z,te,Ft,xe,ga,Gt,_a,bs,c,ba,Ke,va,wa,zt,ya,Sa,Je,Ea,Da,Xe,Ia,$a,Ze,Pa,ja,et,ka,qa,tt,xa,Aa,Vt,Ma,La,Yt,Na,Ta,st,Oa,Ca,vs,Ae,ws;return ie=new se({}),fe=new se({}),ue=new se({}),_e=new se({}),ve=new mt({props:{code:`from diffusers import DiffusionPipeline, DPMSolverMultistepScheduler
import torch

repo_id = "stabilityai/stable-diffusion-2-base"
pipe = DiffusionPipeline.from_pretrained(repo_id, torch_dtype=torch.float16, revision="fp16")

pipe.scheduler = DPMSolverMultistepScheduler.from_config(pipe.scheduler.config)
pipe = pipe.to("cuda")

prompt = "High quality photo of an astronaut riding a horse in space"
image = pipe(prompt, num_inference_steps=25).images[0]
image.save("astronaut.png")`,highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline, DPMSolverMultistepScheduler
<span class="hljs-keyword">import</span> torch

repo_id = <span class="hljs-string">&quot;stabilityai/stable-diffusion-2-base&quot;</span>
pipe = DiffusionPipeline.from_pretrained(repo_id, torch_dtype=torch.float16, revision=<span class="hljs-string">&quot;fp16&quot;</span>)

pipe.scheduler = DPMSolverMultistepScheduler.from_config(pipe.scheduler.config)
pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

prompt = <span class="hljs-string">&quot;High quality photo of an astronaut riding a horse in space&quot;</span>
image = pipe(prompt, num_inference_steps=<span class="hljs-number">25</span>).images[<span class="hljs-number">0</span>]
image.save(<span class="hljs-string">&quot;astronaut.png&quot;</span>)`}}),ye=new mt({props:{code:`from diffusers import DiffusionPipeline, DPMSolverMultistepScheduler
import torch

repo_id = "stabilityai/stable-diffusion-2"
pipe = DiffusionPipeline.from_pretrained(repo_id, torch_dtype=torch.float16, revision="fp16")

pipe.scheduler = DPMSolverMultistepScheduler.from_config(pipe.scheduler.config)
pipe = pipe.to("cuda")

prompt = "High quality photo of an astronaut riding a horse in space"
image = pipe(prompt, guidance_scale=9, num_inference_steps=25).images[0]
image.save("astronaut.png")`,highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline, DPMSolverMultistepScheduler
<span class="hljs-keyword">import</span> torch

repo_id = <span class="hljs-string">&quot;stabilityai/stable-diffusion-2&quot;</span>
pipe = DiffusionPipeline.from_pretrained(repo_id, torch_dtype=torch.float16, revision=<span class="hljs-string">&quot;fp16&quot;</span>)

pipe.scheduler = DPMSolverMultistepScheduler.from_config(pipe.scheduler.config)
pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

prompt = <span class="hljs-string">&quot;High quality photo of an astronaut riding a horse in space&quot;</span>
image = pipe(prompt, guidance_scale=<span class="hljs-number">9</span>, num_inference_steps=<span class="hljs-number">25</span>).images[<span class="hljs-number">0</span>]
image.save(<span class="hljs-string">&quot;astronaut.png&quot;</span>)`}}),Se=new se({}),De=new mt({props:{code:`import PIL
import requests
import torch
from io import BytesIO

from diffusers import DiffusionPipeline, DPMSolverMultistepScheduler


def download_image(url):
    response = requests.get(url)
    return PIL.Image.open(BytesIO(response.content)).convert("RGB")


img_url = "https://raw.githubusercontent.com/CompVis/latent-diffusion/main/data/inpainting_examples/overture-creations-5sI6fQgYIuo.png"
mask_url = "https://raw.githubusercontent.com/CompVis/latent-diffusion/main/data/inpainting_examples/overture-creations-5sI6fQgYIuo_mask.png"

init_image = download_image(img_url).resize((512, 512))
mask_image = download_image(mask_url).resize((512, 512))

repo_id = "stabilityai/stable-diffusion-2-inpainting"
pipe = DiffusionPipeline.from_pretrained(repo_id, torch_dtype=torch.float16, revision="fp16")

pipe.scheduler = DPMSolverMultistepScheduler.from_config(pipe.scheduler.config)
pipe = pipe.to("cuda")

prompt = "Face of a yellow cat, high resolution, sitting on a park bench"
image = pipe(prompt=prompt, image=init_image, mask_image=mask_image, num_inference_steps=25).images[0]

image.save("yellow_cat.png")`,highlighted:`<span class="hljs-keyword">import</span> PIL
<span class="hljs-keyword">import</span> requests
<span class="hljs-keyword">import</span> torch
<span class="hljs-keyword">from</span> io <span class="hljs-keyword">import</span> BytesIO

<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline, DPMSolverMultistepScheduler


<span class="hljs-keyword">def</span> <span class="hljs-title function_">download_image</span>(<span class="hljs-params">url</span>):
    response = requests.get(url)
    <span class="hljs-keyword">return</span> PIL.Image.<span class="hljs-built_in">open</span>(BytesIO(response.content)).convert(<span class="hljs-string">&quot;RGB&quot;</span>)


img_url = <span class="hljs-string">&quot;https://raw.githubusercontent.com/CompVis/latent-diffusion/main/data/inpainting_examples/overture-creations-5sI6fQgYIuo.png&quot;</span>
mask_url = <span class="hljs-string">&quot;https://raw.githubusercontent.com/CompVis/latent-diffusion/main/data/inpainting_examples/overture-creations-5sI6fQgYIuo_mask.png&quot;</span>

init_image = download_image(img_url).resize((<span class="hljs-number">512</span>, <span class="hljs-number">512</span>))
mask_image = download_image(mask_url).resize((<span class="hljs-number">512</span>, <span class="hljs-number">512</span>))

repo_id = <span class="hljs-string">&quot;stabilityai/stable-diffusion-2-inpainting&quot;</span>
pipe = DiffusionPipeline.from_pretrained(repo_id, torch_dtype=torch.float16, revision=<span class="hljs-string">&quot;fp16&quot;</span>)

pipe.scheduler = DPMSolverMultistepScheduler.from_config(pipe.scheduler.config)
pipe = pipe.to(<span class="hljs-string">&quot;cuda&quot;</span>)

prompt = <span class="hljs-string">&quot;Face of a yellow cat, high resolution, sitting on a park bench&quot;</span>
image = pipe(prompt=prompt, image=init_image, mask_image=mask_image, num_inference_steps=<span class="hljs-number">25</span>).images[<span class="hljs-number">0</span>]

image.save(<span class="hljs-string">&quot;yellow_cat.png&quot;</span>)`}}),Ie=new se({}),Pe=new mt({props:{code:`import requests
from PIL import Image
from io import BytesIO
from diffusers import StableDiffusionUpscalePipeline
import torch

# load model and scheduler
model_id = "stabilityai/stable-diffusion-x4-upscaler"
pipeline = StableDiffusionUpscalePipeline.from_pretrained(model_id, torch_dtype=torch.float16)
pipeline = pipeline.to("cuda")

# let's download an  image
url = "https://huggingface.co/datasets/hf-internal-testing/diffusers-images/resolve/main/sd2-upscale/low_res_cat.png"
response = requests.get(url)
low_res_img = Image.open(BytesIO(response.content)).convert("RGB")
low_res_img = low_res_img.resize((128, 128))
prompt = "a white cat"
upscaled_image = pipeline(prompt=prompt, image=low_res_img).images[0]
upscaled_image.save("upsampled_cat.png")`,highlighted:`<span class="hljs-keyword">import</span> requests
<span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-keyword">from</span> io <span class="hljs-keyword">import</span> BytesIO
<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableDiffusionUpscalePipeline
<span class="hljs-keyword">import</span> torch

<span class="hljs-comment"># load model and scheduler</span>
model_id = <span class="hljs-string">&quot;stabilityai/stable-diffusion-x4-upscaler&quot;</span>
pipeline = StableDiffusionUpscalePipeline.from_pretrained(model_id, torch_dtype=torch.float16)
pipeline = pipeline.to(<span class="hljs-string">&quot;cuda&quot;</span>)

<span class="hljs-comment"># let&#x27;s download an  image</span>
url = <span class="hljs-string">&quot;https://huggingface.co/datasets/hf-internal-testing/diffusers-images/resolve/main/sd2-upscale/low_res_cat.png&quot;</span>
response = requests.get(url)
low_res_img = Image.<span class="hljs-built_in">open</span>(BytesIO(response.content)).convert(<span class="hljs-string">&quot;RGB&quot;</span>)
low_res_img = low_res_img.resize((<span class="hljs-number">128</span>, <span class="hljs-number">128</span>))
prompt = <span class="hljs-string">&quot;a white cat&quot;</span>
upscaled_image = pipeline(prompt=prompt, image=low_res_img).images[<span class="hljs-number">0</span>]
upscaled_image.save(<span class="hljs-string">&quot;upsampled_cat.png&quot;</span>)`}}),je=new se({}),qe=new mt({props:{code:`import torch
import requests
from PIL import Image

from diffusers import StableDiffusionDepth2ImgPipeline

pipe = StableDiffusionDepth2ImgPipeline.from_pretrained(
    "stabilityai/stable-diffusion-2-depth",
    torch_dtype=torch.float16,
).to("cuda")


url = "http://images.cocodataset.org/val2017/000000039769.jpg"
init_image = Image.open(requests.get(url, stream=True).raw)
prompt = "two tigers"
n_propmt = "bad, deformed, ugly, bad anotomy"
image = pipe(prompt=prompt, image=init_image, negative_prompt=n_propmt, strength=0.7).images[0]`,highlighted:`<span class="hljs-keyword">import</span> torch
<span class="hljs-keyword">import</span> requests
<span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image

<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableDiffusionDepth2ImgPipeline

pipe = StableDiffusionDepth2ImgPipeline.from_pretrained(
    <span class="hljs-string">&quot;stabilityai/stable-diffusion-2-depth&quot;</span>,
    torch_dtype=torch.float16,
).to(<span class="hljs-string">&quot;cuda&quot;</span>)


url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
init_image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)
prompt = <span class="hljs-string">&quot;two tigers&quot;</span>
n_propmt = <span class="hljs-string">&quot;bad, deformed, ugly, bad anotomy&quot;</span>
image = pipe(prompt=prompt, image=init_image, negative_prompt=n_propmt, strength=<span class="hljs-number">0.7</span>).images[<span class="hljs-number">0</span>]`}}),xe=new se({}),Ae=new mt({props:{code:`from diffusers import StableDiffusionPipeline, EulerDiscreteScheduler

pipeline = StableDiffusionPipeline.from_pretrained("stabilityai/stable-diffusion-2")
pipeline.scheduler = EulerDiscreteScheduler.from_config(pipeline.scheduler.config)

# or
euler_scheduler = EulerDiscreteScheduler.from_pretrained("stabilityai/stable-diffusion-2", subfolder="scheduler")
pipeline = StableDiffusionPipeline.from_pretrained("stabilityai/stable-diffusion-2", scheduler=euler_scheduler)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> StableDiffusionPipeline, EulerDiscreteScheduler

<span class="hljs-meta">&gt;&gt;&gt; </span>pipeline = StableDiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;stabilityai/stable-diffusion-2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipeline.scheduler = EulerDiscreteScheduler.from_config(pipeline.scheduler.config)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># or</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>euler_scheduler = EulerDiscreteScheduler.from_pretrained(<span class="hljs-string">&quot;stabilityai/stable-diffusion-2&quot;</span>, subfolder=<span class="hljs-string">&quot;scheduler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pipeline = StableDiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;stabilityai/stable-diffusion-2&quot;</span>, scheduler=euler_scheduler)`}}),{c(){$=i("meta"),Qt=u(),P=i("h1"),V=i("a"),gt=i("span"),_(ie.$$.fragment),xs=u(),_t=i("span"),As=r("Stable diffusion 2"),Wt=u(),m=i("p"),Ms=r("Stable Diffusion 2 is a text-to-image "),bt=i("em"),Ls=r("latent diffusion"),Ns=r(" model built upon the work of "),ae=i("a"),Ts=r("Stable Diffusion 1"),Os=r(`.
The project to train Stable Diffusion 2 was led by Robin Rombach and Katherine Crowson from `),le=i("a"),Cs=r("Stability AI"),Us=r(" and "),re=i("a"),Bs=r("LAION"),Hs=r("."),Kt=u(),Me=i("p"),j=i("em"),Rs=r(`The Stable Diffusion 2.0 release includes robust text-to-image models trained using a brand new text encoder (OpenCLIP), developed by LAION with support from Stability AI, which greatly improves the quality of the generated images compared to earlier V1 releases. The text-to-image models in this release can generate images with default resolutions of both 512x512 pixels and 768x768 pixels.
These models are trained on an aesthetic subset of the `),oe=i("a"),Fs=r("LAION-5B dataset"),Gs=r(" created by the DeepFloyd team at Stability AI, which is then further filtered to remove adult content using "),ne=i("a"),zs=r("LAION\u2019s NSFW filter"),Vs=r("."),Jt=u(),Y=i("p"),Ys=r("For more details about how Stable Diffusion 2 works and how it differs from Stable Diffusion 1, please refer to the official "),pe=i("a"),Qs=r("launch announcement post"),Ws=r("."),Xt=u(),k=i("h2"),Q=i("a"),vt=i("span"),_(fe.$$.fragment),Ks=u(),wt=i("span"),Js=r("Tips"),Zt=u(),q=i("h3"),W=i("a"),yt=i("span"),_(ue.$$.fragment),Xs=u(),St=i("span"),Zs=r("Available checkpoints:"),es=u(),E=i("p"),ei=r("Note that the architecture is more or less identical to "),Le=i("a"),ti=r("Stable Diffusion 1"),si=r(" so please refer to "),Ne=i("a"),ii=r("this page"),ai=r(" for API documentation."),ts=u(),g=i("ul"),x=i("li"),Et=i("em"),li=r("Text-to-Image (512x512 resolution)"),ri=r(": "),he=i("a"),oi=r("stabilityai/stable-diffusion-2-base"),ni=r(" with "),Te=i("a"),pi=r("StableDiffusionPipeline"),fi=u(),A=i("li"),Dt=i("em"),ui=r("Text-to-Image (768x768 resolution)"),hi=r(": "),ce=i("a"),ci=r("stabilityai/stable-diffusion-2"),di=r(" with "),Oe=i("a"),mi=r("StableDiffusionPipeline"),gi=u(),M=i("li"),It=i("em"),_i=r("Image Inpainting (512x512 resolution)"),bi=r(": "),de=i("a"),vi=r("stabilityai/stable-diffusion-2-inpainting"),wi=r(" with "),Ce=i("a"),yi=r("StableDiffusionInpaintPipeline"),Si=u(),L=i("li"),$t=i("em"),Ei=r("Super-Resolution (x4 resolution resolution)"),Di=r(": "),me=i("a"),Ii=r("stable-diffusion-x4-upscaler"),$i=u(),Ue=i("a"),Pi=r("StableDiffusionUpscalePipeline"),ji=u(),N=i("li"),Pt=i("em"),ki=r("Depth-to-Image (512x512 resolution)"),qi=r(": "),ge=i("a"),xi=r("stabilityai/stable-diffusion-2-depth"),Ai=r(" with "),jt=i("code"),Mi=r("StableDiffusionDepth2ImagePipeline"),ss=u(),K=i("p"),Li=r("We recommend using the "),Be=i("a"),Ni=r("DPMSolverMultistepScheduler"),Ti=r(" as it\u2019s currently the fastest scheduler there is."),is=u(),T=i("h3"),J=i("a"),kt=i("span"),_(_e.$$.fragment),Oi=u(),qt=i("span"),Ci=r("Text-to-Image"),as=u(),He=i("ul"),O=i("li"),xt=i("em"),Ui=r("Text-to-Image (512x512 resolution)"),Bi=r(": "),be=i("a"),Hi=r("stabilityai/stable-diffusion-2-base"),Ri=r(" with "),Re=i("a"),Fi=r("StableDiffusionPipeline"),ls=u(),_(ve.$$.fragment),rs=u(),Fe=i("ul"),C=i("li"),At=i("em"),Gi=r("Text-to-Image (768x768 resolution)"),zi=r(": "),we=i("a"),Vi=r("stabilityai/stable-diffusion-2"),Yi=r(" with "),Ge=i("a"),Qi=r("StableDiffusionPipeline"),os=u(),_(ye.$$.fragment),ns=u(),U=i("h3"),X=i("a"),Mt=i("span"),_(Se.$$.fragment),Wi=u(),Lt=i("span"),Ki=r("Image Inpainting"),ps=u(),ze=i("ul"),B=i("li"),Nt=i("em"),Ji=r("Image Inpainting (512x512 resolution)"),Xi=r(": "),Ee=i("a"),Zi=r("stabilityai/stable-diffusion-2-inpainting"),ea=r(" with "),Ve=i("a"),ta=r("StableDiffusionInpaintPipeline"),fs=u(),_(De.$$.fragment),us=u(),H=i("h3"),Z=i("a"),Tt=i("span"),_(Ie.$$.fragment),sa=u(),Ot=i("span"),ia=r("Super-Resolution"),hs=u(),Ye=i("ul"),R=i("li"),Ct=i("em"),aa=r("Image Upscaling (x4 resolution resolution)"),la=r(": "),$e=i("a"),ra=r("stable-diffusion-x4-upscaler"),oa=r(" with "),Qe=i("a"),na=r("StableDiffusionUpscalePipeline"),cs=u(),_(Pe.$$.fragment),ds=u(),F=i("h3"),ee=i("a"),Ut=i("span"),_(je.$$.fragment),pa=u(),Bt=i("span"),fa=r("Depth-to-Image"),ms=u(),We=i("ul"),G=i("li"),Ht=i("em"),ua=r("Depth-Guided Text-to-Image"),ha=r(": "),ke=i("a"),ca=r("stabilityai/stable-diffusion-2-depth"),da=u(),Rt=i("code"),ma=r("StableDiffusionDepth2ImagePipeline"),gs=u(),_(qe.$$.fragment),_s=u(),z=i("h3"),te=i("a"),Ft=i("span"),_(xe.$$.fragment),ga=u(),Gt=i("span"),_a=r("How to load and use different schedulers."),bs=u(),c=i("p"),ba=r("The stable diffusion pipeline uses "),Ke=i("a"),va=r("DDIMScheduler"),wa=r(" scheduler by default. But "),zt=i("code"),ya=r("diffusers"),Sa=r(" provides many other schedulers that can be used with the stable diffusion pipeline such as "),Je=i("a"),Ea=r("PNDMScheduler"),Da=r(", "),Xe=i("a"),Ia=r("LMSDiscreteScheduler"),$a=r(", "),Ze=i("a"),Pa=r("EulerDiscreteScheduler"),ja=r(", "),et=i("a"),ka=r("EulerAncestralDiscreteScheduler"),qa=r(` etc.
To use a different scheduler, you can either change it via the `),tt=i("a"),xa=r("ConfigMixin.from_config()"),Aa=r(" method or pass the "),Vt=i("code"),Ma=r("scheduler"),La=r(" argument to the "),Yt=i("code"),Na=r("from_pretrained"),Ta=r(" method of the pipeline. For example, to use the "),st=i("a"),Oa=r("EulerDiscreteScheduler"),Ca=r(", you can do the following:"),vs=u(),_(Ae.$$.fragment),this.h()},l(t){const p=mr('[data-svelte="svelte-1phssyn"]',document.head);$=a(p,"META",{name:!0,content:!0}),p.forEach(s),Qt=h(t),P=a(t,"H1",{class:!0});var ys=l(P);V=a(ys,"A",{id:!0,class:!0,href:!0});var Ba=l(V);gt=a(Ba,"SPAN",{});var Ha=l(gt);b(ie.$$.fragment,Ha),Ha.forEach(s),Ba.forEach(s),xs=h(ys),_t=a(ys,"SPAN",{});var Ra=l(_t);As=o(Ra,"Stable diffusion 2"),Ra.forEach(s),ys.forEach(s),Wt=h(t),m=a(t,"P",{});var D=l(m);Ms=o(D,"Stable Diffusion 2 is a text-to-image "),bt=a(D,"EM",{});var Fa=l(bt);Ls=o(Fa,"latent diffusion"),Fa.forEach(s),Ns=o(D," model built upon the work of "),ae=a(D,"A",{href:!0,rel:!0});var Ga=l(ae);Ts=o(Ga,"Stable Diffusion 1"),Ga.forEach(s),Os=o(D,`.
The project to train Stable Diffusion 2 was led by Robin Rombach and Katherine Crowson from `),le=a(D,"A",{href:!0,rel:!0});var za=l(le);Cs=o(za,"Stability AI"),za.forEach(s),Us=o(D," and "),re=a(D,"A",{href:!0,rel:!0});var Va=l(re);Bs=o(Va,"LAION"),Va.forEach(s),Hs=o(D,"."),D.forEach(s),Kt=h(t),Me=a(t,"P",{});var Ya=l(Me);j=a(Ya,"EM",{});var it=l(j);Rs=o(it,`The Stable Diffusion 2.0 release includes robust text-to-image models trained using a brand new text encoder (OpenCLIP), developed by LAION with support from Stability AI, which greatly improves the quality of the generated images compared to earlier V1 releases. The text-to-image models in this release can generate images with default resolutions of both 512x512 pixels and 768x768 pixels.
These models are trained on an aesthetic subset of the `),oe=a(it,"A",{href:!0,rel:!0});var Qa=l(oe);Fs=o(Qa,"LAION-5B dataset"),Qa.forEach(s),Gs=o(it," created by the DeepFloyd team at Stability AI, which is then further filtered to remove adult content using "),ne=a(it,"A",{href:!0,rel:!0});var Wa=l(ne);zs=o(Wa,"LAION\u2019s NSFW filter"),Wa.forEach(s),Vs=o(it,"."),it.forEach(s),Ya.forEach(s),Jt=h(t),Y=a(t,"P",{});var Ss=l(Y);Ys=o(Ss,"For more details about how Stable Diffusion 2 works and how it differs from Stable Diffusion 1, please refer to the official "),pe=a(Ss,"A",{href:!0,rel:!0});var Ka=l(pe);Qs=o(Ka,"launch announcement post"),Ka.forEach(s),Ws=o(Ss,"."),Ss.forEach(s),Xt=h(t),k=a(t,"H2",{class:!0});var Es=l(k);Q=a(Es,"A",{id:!0,class:!0,href:!0});var Ja=l(Q);vt=a(Ja,"SPAN",{});var Xa=l(vt);b(fe.$$.fragment,Xa),Xa.forEach(s),Ja.forEach(s),Ks=h(Es),wt=a(Es,"SPAN",{});var Za=l(wt);Js=o(Za,"Tips"),Za.forEach(s),Es.forEach(s),Zt=h(t),q=a(t,"H3",{class:!0});var Ds=l(q);W=a(Ds,"A",{id:!0,class:!0,href:!0});var el=l(W);yt=a(el,"SPAN",{});var tl=l(yt);b(ue.$$.fragment,tl),tl.forEach(s),el.forEach(s),Xs=h(Ds),St=a(Ds,"SPAN",{});var sl=l(St);Zs=o(sl,"Available checkpoints:"),sl.forEach(s),Ds.forEach(s),es=h(t),E=a(t,"P",{});var at=l(E);ei=o(at,"Note that the architecture is more or less identical to "),Le=a(at,"A",{href:!0});var il=l(Le);ti=o(il,"Stable Diffusion 1"),il.forEach(s),si=o(at," so please refer to "),Ne=a(at,"A",{href:!0});var al=l(Ne);ii=o(al,"this page"),al.forEach(s),ai=o(at," for API documentation."),at.forEach(s),ts=h(t),g=a(t,"UL",{});var I=l(g);x=a(I,"LI",{});var lt=l(x);Et=a(lt,"EM",{});var ll=l(Et);li=o(ll,"Text-to-Image (512x512 resolution)"),ll.forEach(s),ri=o(lt,": "),he=a(lt,"A",{href:!0,rel:!0});var rl=l(he);oi=o(rl,"stabilityai/stable-diffusion-2-base"),rl.forEach(s),ni=o(lt," with "),Te=a(lt,"A",{href:!0});var ol=l(Te);pi=o(ol,"StableDiffusionPipeline"),ol.forEach(s),lt.forEach(s),fi=h(I),A=a(I,"LI",{});var rt=l(A);Dt=a(rt,"EM",{});var nl=l(Dt);ui=o(nl,"Text-to-Image (768x768 resolution)"),nl.forEach(s),hi=o(rt,": "),ce=a(rt,"A",{href:!0,rel:!0});var pl=l(ce);ci=o(pl,"stabilityai/stable-diffusion-2"),pl.forEach(s),di=o(rt," with "),Oe=a(rt,"A",{href:!0});var fl=l(Oe);mi=o(fl,"StableDiffusionPipeline"),fl.forEach(s),rt.forEach(s),gi=h(I),M=a(I,"LI",{});var ot=l(M);It=a(ot,"EM",{});var ul=l(It);_i=o(ul,"Image Inpainting (512x512 resolution)"),ul.forEach(s),bi=o(ot,": "),de=a(ot,"A",{href:!0,rel:!0});var hl=l(de);vi=o(hl,"stabilityai/stable-diffusion-2-inpainting"),hl.forEach(s),wi=o(ot," with "),Ce=a(ot,"A",{href:!0});var cl=l(Ce);yi=o(cl,"StableDiffusionInpaintPipeline"),cl.forEach(s),ot.forEach(s),Si=h(I),L=a(I,"LI",{});var nt=l(L);$t=a(nt,"EM",{});var dl=l($t);Ei=o(dl,"Super-Resolution (x4 resolution resolution)"),dl.forEach(s),Di=o(nt,": "),me=a(nt,"A",{href:!0,rel:!0});var ml=l(me);Ii=o(ml,"stable-diffusion-x4-upscaler"),ml.forEach(s),$i=h(nt),Ue=a(nt,"A",{href:!0});var gl=l(Ue);Pi=o(gl,"StableDiffusionUpscalePipeline"),gl.forEach(s),nt.forEach(s),ji=h(I),N=a(I,"LI",{});var pt=l(N);Pt=a(pt,"EM",{});var _l=l(Pt);ki=o(_l,"Depth-to-Image (512x512 resolution)"),_l.forEach(s),qi=o(pt,": "),ge=a(pt,"A",{href:!0,rel:!0});var bl=l(ge);xi=o(bl,"stabilityai/stable-diffusion-2-depth"),bl.forEach(s),Ai=o(pt," with "),jt=a(pt,"CODE",{});var vl=l(jt);Mi=o(vl,"StableDiffusionDepth2ImagePipeline"),vl.forEach(s),pt.forEach(s),I.forEach(s),ss=h(t),K=a(t,"P",{});var Is=l(K);Li=o(Is,"We recommend using the "),Be=a(Is,"A",{href:!0});var wl=l(Be);Ni=o(wl,"DPMSolverMultistepScheduler"),wl.forEach(s),Ti=o(Is," as it\u2019s currently the fastest scheduler there is."),Is.forEach(s),is=h(t),T=a(t,"H3",{class:!0});var $s=l(T);J=a($s,"A",{id:!0,class:!0,href:!0});var yl=l(J);kt=a(yl,"SPAN",{});var Sl=l(kt);b(_e.$$.fragment,Sl),Sl.forEach(s),yl.forEach(s),Oi=h($s),qt=a($s,"SPAN",{});var El=l(qt);Ci=o(El,"Text-to-Image"),El.forEach(s),$s.forEach(s),as=h(t),He=a(t,"UL",{});var Dl=l(He);O=a(Dl,"LI",{});var ft=l(O);xt=a(ft,"EM",{});var Il=l(xt);Ui=o(Il,"Text-to-Image (512x512 resolution)"),Il.forEach(s),Bi=o(ft,": "),be=a(ft,"A",{href:!0,rel:!0});var $l=l(be);Hi=o($l,"stabilityai/stable-diffusion-2-base"),$l.forEach(s),Ri=o(ft," with "),Re=a(ft,"A",{href:!0});var Pl=l(Re);Fi=o(Pl,"StableDiffusionPipeline"),Pl.forEach(s),ft.forEach(s),Dl.forEach(s),ls=h(t),b(ve.$$.fragment,t),rs=h(t),Fe=a(t,"UL",{});var jl=l(Fe);C=a(jl,"LI",{});var ut=l(C);At=a(ut,"EM",{});var kl=l(At);Gi=o(kl,"Text-to-Image (768x768 resolution)"),kl.forEach(s),zi=o(ut,": "),we=a(ut,"A",{href:!0,rel:!0});var ql=l(we);Vi=o(ql,"stabilityai/stable-diffusion-2"),ql.forEach(s),Yi=o(ut," with "),Ge=a(ut,"A",{href:!0});var xl=l(Ge);Qi=o(xl,"StableDiffusionPipeline"),xl.forEach(s),ut.forEach(s),jl.forEach(s),os=h(t),b(ye.$$.fragment,t),ns=h(t),U=a(t,"H3",{class:!0});var Ps=l(U);X=a(Ps,"A",{id:!0,class:!0,href:!0});var Al=l(X);Mt=a(Al,"SPAN",{});var Ml=l(Mt);b(Se.$$.fragment,Ml),Ml.forEach(s),Al.forEach(s),Wi=h(Ps),Lt=a(Ps,"SPAN",{});var Ll=l(Lt);Ki=o(Ll,"Image Inpainting"),Ll.forEach(s),Ps.forEach(s),ps=h(t),ze=a(t,"UL",{});var Nl=l(ze);B=a(Nl,"LI",{});var ht=l(B);Nt=a(ht,"EM",{});var Tl=l(Nt);Ji=o(Tl,"Image Inpainting (512x512 resolution)"),Tl.forEach(s),Xi=o(ht,": "),Ee=a(ht,"A",{href:!0,rel:!0});var Ol=l(Ee);Zi=o(Ol,"stabilityai/stable-diffusion-2-inpainting"),Ol.forEach(s),ea=o(ht," with "),Ve=a(ht,"A",{href:!0});var Cl=l(Ve);ta=o(Cl,"StableDiffusionInpaintPipeline"),Cl.forEach(s),ht.forEach(s),Nl.forEach(s),fs=h(t),b(De.$$.fragment,t),us=h(t),H=a(t,"H3",{class:!0});var js=l(H);Z=a(js,"A",{id:!0,class:!0,href:!0});var Ul=l(Z);Tt=a(Ul,"SPAN",{});var Bl=l(Tt);b(Ie.$$.fragment,Bl),Bl.forEach(s),Ul.forEach(s),sa=h(js),Ot=a(js,"SPAN",{});var Hl=l(Ot);ia=o(Hl,"Super-Resolution"),Hl.forEach(s),js.forEach(s),hs=h(t),Ye=a(t,"UL",{});var Rl=l(Ye);R=a(Rl,"LI",{});var ct=l(R);Ct=a(ct,"EM",{});var Fl=l(Ct);aa=o(Fl,"Image Upscaling (x4 resolution resolution)"),Fl.forEach(s),la=o(ct,": "),$e=a(ct,"A",{href:!0,rel:!0});var Gl=l($e);ra=o(Gl,"stable-diffusion-x4-upscaler"),Gl.forEach(s),oa=o(ct," with "),Qe=a(ct,"A",{href:!0});var zl=l(Qe);na=o(zl,"StableDiffusionUpscalePipeline"),zl.forEach(s),ct.forEach(s),Rl.forEach(s),cs=h(t),b(Pe.$$.fragment,t),ds=h(t),F=a(t,"H3",{class:!0});var ks=l(F);ee=a(ks,"A",{id:!0,class:!0,href:!0});var Vl=l(ee);Ut=a(Vl,"SPAN",{});var Yl=l(Ut);b(je.$$.fragment,Yl),Yl.forEach(s),Vl.forEach(s),pa=h(ks),Bt=a(ks,"SPAN",{});var Ql=l(Bt);fa=o(Ql,"Depth-to-Image"),Ql.forEach(s),ks.forEach(s),ms=h(t),We=a(t,"UL",{});var Wl=l(We);G=a(Wl,"LI",{});var dt=l(G);Ht=a(dt,"EM",{});var Kl=l(Ht);ua=o(Kl,"Depth-Guided Text-to-Image"),Kl.forEach(s),ha=o(dt,": "),ke=a(dt,"A",{href:!0,rel:!0});var Jl=l(ke);ca=o(Jl,"stabilityai/stable-diffusion-2-depth"),Jl.forEach(s),da=h(dt),Rt=a(dt,"CODE",{});var Xl=l(Rt);ma=o(Xl,"StableDiffusionDepth2ImagePipeline"),Xl.forEach(s),dt.forEach(s),Wl.forEach(s),gs=h(t),b(qe.$$.fragment,t),_s=h(t),z=a(t,"H3",{class:!0});var qs=l(z);te=a(qs,"A",{id:!0,class:!0,href:!0});var Zl=l(te);Ft=a(Zl,"SPAN",{});var er=l(Ft);b(xe.$$.fragment,er),er.forEach(s),Zl.forEach(s),ga=h(qs),Gt=a(qs,"SPAN",{});var tr=l(Gt);_a=o(tr,"How to load and use different schedulers."),tr.forEach(s),qs.forEach(s),bs=h(t),c=a(t,"P",{});var d=l(c);ba=o(d,"The stable diffusion pipeline uses "),Ke=a(d,"A",{href:!0});var sr=l(Ke);va=o(sr,"DDIMScheduler"),sr.forEach(s),wa=o(d," scheduler by default. But "),zt=a(d,"CODE",{});var ir=l(zt);ya=o(ir,"diffusers"),ir.forEach(s),Sa=o(d," provides many other schedulers that can be used with the stable diffusion pipeline such as "),Je=a(d,"A",{href:!0});var ar=l(Je);Ea=o(ar,"PNDMScheduler"),ar.forEach(s),Da=o(d,", "),Xe=a(d,"A",{href:!0});var lr=l(Xe);Ia=o(lr,"LMSDiscreteScheduler"),lr.forEach(s),$a=o(d,", "),Ze=a(d,"A",{href:!0});var rr=l(Ze);Pa=o(rr,"EulerDiscreteScheduler"),rr.forEach(s),ja=o(d,", "),et=a(d,"A",{href:!0});var or=l(et);ka=o(or,"EulerAncestralDiscreteScheduler"),or.forEach(s),qa=o(d,` etc.
To use a different scheduler, you can either change it via the `),tt=a(d,"A",{href:!0});var nr=l(tt);xa=o(nr,"ConfigMixin.from_config()"),nr.forEach(s),Aa=o(d," method or pass the "),Vt=a(d,"CODE",{});var pr=l(Vt);Ma=o(pr,"scheduler"),pr.forEach(s),La=o(d," argument to the "),Yt=a(d,"CODE",{});var fr=l(Yt);Na=o(fr,"from_pretrained"),fr.forEach(s),Ta=o(d," method of the pipeline. For example, to use the "),st=a(d,"A",{href:!0});var ur=l(st);Oa=o(ur,"EulerDiscreteScheduler"),ur.forEach(s),Ca=o(d,", you can do the following:"),d.forEach(s),vs=h(t),b(Ae.$$.fragment,t),this.h()},h(){n($,"name","hf:doc:metadata"),n($,"content",JSON.stringify(vr)),n(V,"id","stable-diffusion-2"),n(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(V,"href","#stable-diffusion-2"),n(P,"class","relative group"),n(ae,"href","https://stability.ai/blog/stable-diffusion-public-release"),n(ae,"rel","nofollow"),n(le,"href","https://stability.ai/"),n(le,"rel","nofollow"),n(re,"href","https://laion.ai/"),n(re,"rel","nofollow"),n(oe,"href","https://laion.ai/blog/laion-5b/"),n(oe,"rel","nofollow"),n(ne,"href","https://openreview.net/forum?id=M3Y74vmsMcY"),n(ne,"rel","nofollow"),n(pe,"href","https://stability.ai/blog/stable-diffusion-v2-release"),n(pe,"rel","nofollow"),n(Q,"id","tips"),n(Q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(Q,"href","#tips"),n(k,"class","relative group"),n(W,"id","available-checkpoints"),n(W,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(W,"href","#available-checkpoints"),n(q,"class","relative group"),n(Le,"href","./stable_diffusion/overview"),n(Ne,"href","./stable_diffusion/overview"),n(he,"href","https://huggingface.co/stabilityai/stable-diffusion-2-base"),n(he,"rel","nofollow"),n(Te,"href","/docs/diffusers/pr_3069/en/api/pipelines/stable_diffusion/text2img#diffusers.StableDiffusionPipeline"),n(ce,"href","https://huggingface.co/stabilityai/stable-diffusion-2"),n(ce,"rel","nofollow"),n(Oe,"href","/docs/diffusers/pr_3069/en/api/pipelines/stable_diffusion/text2img#diffusers.StableDiffusionPipeline"),n(de,"href","https://huggingface.co/stabilityai/stable-diffusion-2-inpainting"),n(de,"rel","nofollow"),n(Ce,"href","/docs/diffusers/pr_3069/en/api/pipelines/stable_diffusion/inpaint#diffusers.StableDiffusionInpaintPipeline"),n(me,"href","https://huggingface.co/stabilityai/stable-diffusion-x4-upscaler"),n(me,"rel","nofollow"),n(Ue,"href","/docs/diffusers/pr_3069/en/api/pipelines/stable_diffusion/upscale#diffusers.StableDiffusionUpscalePipeline"),n(ge,"href","https://huggingface.co/stabilityai/stable-diffusion-2-depth"),n(ge,"rel","nofollow"),n(Be,"href","/docs/diffusers/pr_3069/en/api/schedulers/multistep_dpm_solver#diffusers.DPMSolverMultistepScheduler"),n(J,"id","texttoimage"),n(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(J,"href","#texttoimage"),n(T,"class","relative group"),n(be,"href","https://huggingface.co/stabilityai/stable-diffusion-2-base"),n(be,"rel","nofollow"),n(Re,"href","/docs/diffusers/pr_3069/en/api/pipelines/stable_diffusion/text2img#diffusers.StableDiffusionPipeline"),n(we,"href","https://huggingface.co/stabilityai/stable-diffusion-2"),n(we,"rel","nofollow"),n(Ge,"href","/docs/diffusers/pr_3069/en/api/pipelines/stable_diffusion/text2img#diffusers.StableDiffusionPipeline"),n(X,"id","image-inpainting"),n(X,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(X,"href","#image-inpainting"),n(U,"class","relative group"),n(Ee,"href","https://huggingface.co/stabilityai/stable-diffusion-2-inpainting"),n(Ee,"rel","nofollow"),n(Ve,"href","/docs/diffusers/pr_3069/en/api/pipelines/stable_diffusion/inpaint#diffusers.StableDiffusionInpaintPipeline"),n(Z,"id","superresolution"),n(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(Z,"href","#superresolution"),n(H,"class","relative group"),n($e,"href","https://huggingface.co/stabilityai/stable-diffusion-x4-upscaler"),n($e,"rel","nofollow"),n(Qe,"href","/docs/diffusers/pr_3069/en/api/pipelines/stable_diffusion/upscale#diffusers.StableDiffusionUpscalePipeline"),n(ee,"id","depthtoimage"),n(ee,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(ee,"href","#depthtoimage"),n(F,"class","relative group"),n(ke,"href","https://huggingface.co/stabilityai/stable-diffusion-2-depth"),n(ke,"rel","nofollow"),n(te,"id","how-to-load-and-use-different-schedulers"),n(te,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),n(te,"href","#how-to-load-and-use-different-schedulers"),n(z,"class","relative group"),n(Ke,"href","/docs/diffusers/pr_3069/en/api/schedulers/ddim#diffusers.DDIMScheduler"),n(Je,"href","/docs/diffusers/pr_3069/en/api/schedulers/pndm#diffusers.PNDMScheduler"),n(Xe,"href","/docs/diffusers/pr_3069/en/api/schedulers/lms_discrete#diffusers.LMSDiscreteScheduler"),n(Ze,"href","/docs/diffusers/pr_3069/en/api/schedulers/euler#diffusers.EulerDiscreteScheduler"),n(et,"href","/docs/diffusers/pr_3069/en/api/schedulers/euler_ancestral#diffusers.EulerAncestralDiscreteScheduler"),n(tt,"href","/docs/diffusers/pr_3069/en/api/configuration#diffusers.ConfigMixin.from_config"),n(st,"href","/docs/diffusers/pr_3069/en/api/schedulers/euler#diffusers.EulerDiscreteScheduler")},m(t,p){e(document.head,$),f(t,Qt,p),f(t,P,p),e(P,V),e(V,gt),v(ie,gt,null),e(P,xs),e(P,_t),e(_t,As),f(t,Wt,p),f(t,m,p),e(m,Ms),e(m,bt),e(bt,Ls),e(m,Ns),e(m,ae),e(ae,Ts),e(m,Os),e(m,le),e(le,Cs),e(m,Us),e(m,re),e(re,Bs),e(m,Hs),f(t,Kt,p),f(t,Me,p),e(Me,j),e(j,Rs),e(j,oe),e(oe,Fs),e(j,Gs),e(j,ne),e(ne,zs),e(j,Vs),f(t,Jt,p),f(t,Y,p),e(Y,Ys),e(Y,pe),e(pe,Qs),e(Y,Ws),f(t,Xt,p),f(t,k,p),e(k,Q),e(Q,vt),v(fe,vt,null),e(k,Ks),e(k,wt),e(wt,Js),f(t,Zt,p),f(t,q,p),e(q,W),e(W,yt),v(ue,yt,null),e(q,Xs),e(q,St),e(St,Zs),f(t,es,p),f(t,E,p),e(E,ei),e(E,Le),e(Le,ti),e(E,si),e(E,Ne),e(Ne,ii),e(E,ai),f(t,ts,p),f(t,g,p),e(g,x),e(x,Et),e(Et,li),e(x,ri),e(x,he),e(he,oi),e(x,ni),e(x,Te),e(Te,pi),e(g,fi),e(g,A),e(A,Dt),e(Dt,ui),e(A,hi),e(A,ce),e(ce,ci),e(A,di),e(A,Oe),e(Oe,mi),e(g,gi),e(g,M),e(M,It),e(It,_i),e(M,bi),e(M,de),e(de,vi),e(M,wi),e(M,Ce),e(Ce,yi),e(g,Si),e(g,L),e(L,$t),e($t,Ei),e(L,Di),e(L,me),e(me,Ii),e(L,$i),e(L,Ue),e(Ue,Pi),e(g,ji),e(g,N),e(N,Pt),e(Pt,ki),e(N,qi),e(N,ge),e(ge,xi),e(N,Ai),e(N,jt),e(jt,Mi),f(t,ss,p),f(t,K,p),e(K,Li),e(K,Be),e(Be,Ni),e(K,Ti),f(t,is,p),f(t,T,p),e(T,J),e(J,kt),v(_e,kt,null),e(T,Oi),e(T,qt),e(qt,Ci),f(t,as,p),f(t,He,p),e(He,O),e(O,xt),e(xt,Ui),e(O,Bi),e(O,be),e(be,Hi),e(O,Ri),e(O,Re),e(Re,Fi),f(t,ls,p),v(ve,t,p),f(t,rs,p),f(t,Fe,p),e(Fe,C),e(C,At),e(At,Gi),e(C,zi),e(C,we),e(we,Vi),e(C,Yi),e(C,Ge),e(Ge,Qi),f(t,os,p),v(ye,t,p),f(t,ns,p),f(t,U,p),e(U,X),e(X,Mt),v(Se,Mt,null),e(U,Wi),e(U,Lt),e(Lt,Ki),f(t,ps,p),f(t,ze,p),e(ze,B),e(B,Nt),e(Nt,Ji),e(B,Xi),e(B,Ee),e(Ee,Zi),e(B,ea),e(B,Ve),e(Ve,ta),f(t,fs,p),v(De,t,p),f(t,us,p),f(t,H,p),e(H,Z),e(Z,Tt),v(Ie,Tt,null),e(H,sa),e(H,Ot),e(Ot,ia),f(t,hs,p),f(t,Ye,p),e(Ye,R),e(R,Ct),e(Ct,aa),e(R,la),e(R,$e),e($e,ra),e(R,oa),e(R,Qe),e(Qe,na),f(t,cs,p),v(Pe,t,p),f(t,ds,p),f(t,F,p),e(F,ee),e(ee,Ut),v(je,Ut,null),e(F,pa),e(F,Bt),e(Bt,fa),f(t,ms,p),f(t,We,p),e(We,G),e(G,Ht),e(Ht,ua),e(G,ha),e(G,ke),e(ke,ca),e(G,da),e(G,Rt),e(Rt,ma),f(t,gs,p),v(qe,t,p),f(t,_s,p),f(t,z,p),e(z,te),e(te,Ft),v(xe,Ft,null),e(z,ga),e(z,Gt),e(Gt,_a),f(t,bs,p),f(t,c,p),e(c,ba),e(c,Ke),e(Ke,va),e(c,wa),e(c,zt),e(zt,ya),e(c,Sa),e(c,Je),e(Je,Ea),e(c,Da),e(c,Xe),e(Xe,Ia),e(c,$a),e(c,Ze),e(Ze,Pa),e(c,ja),e(c,et),e(et,ka),e(c,qa),e(c,tt),e(tt,xa),e(c,Aa),e(c,Vt),e(Vt,Ma),e(c,La),e(c,Yt),e(Yt,Na),e(c,Ta),e(c,st),e(st,Oa),e(c,Ca),f(t,vs,p),v(Ae,t,p),ws=!0},p:gr,i(t){ws||(w(ie.$$.fragment,t),w(fe.$$.fragment,t),w(ue.$$.fragment,t),w(_e.$$.fragment,t),w(ve.$$.fragment,t),w(ye.$$.fragment,t),w(Se.$$.fragment,t),w(De.$$.fragment,t),w(Ie.$$.fragment,t),w(Pe.$$.fragment,t),w(je.$$.fragment,t),w(qe.$$.fragment,t),w(xe.$$.fragment,t),w(Ae.$$.fragment,t),ws=!0)},o(t){y(ie.$$.fragment,t),y(fe.$$.fragment,t),y(ue.$$.fragment,t),y(_e.$$.fragment,t),y(ve.$$.fragment,t),y(ye.$$.fragment,t),y(Se.$$.fragment,t),y(De.$$.fragment,t),y(Ie.$$.fragment,t),y(Pe.$$.fragment,t),y(je.$$.fragment,t),y(qe.$$.fragment,t),y(xe.$$.fragment,t),y(Ae.$$.fragment,t),ws=!1},d(t){s($),t&&s(Qt),t&&s(P),S(ie),t&&s(Wt),t&&s(m),t&&s(Kt),t&&s(Me),t&&s(Jt),t&&s(Y),t&&s(Xt),t&&s(k),S(fe),t&&s(Zt),t&&s(q),S(ue),t&&s(es),t&&s(E),t&&s(ts),t&&s(g),t&&s(ss),t&&s(K),t&&s(is),t&&s(T),S(_e),t&&s(as),t&&s(He),t&&s(ls),S(ve,t),t&&s(rs),t&&s(Fe),t&&s(os),S(ye,t),t&&s(ns),t&&s(U),S(Se),t&&s(ps),t&&s(ze),t&&s(fs),S(De,t),t&&s(us),t&&s(H),S(Ie),t&&s(hs),t&&s(Ye),t&&s(cs),S(Pe,t),t&&s(ds),t&&s(F),S(je),t&&s(ms),t&&s(We),t&&s(gs),S(qe,t),t&&s(_s),t&&s(z),S(xe),t&&s(bs),t&&s(c),t&&s(vs),S(Ae,t)}}}const vr={local:"stable-diffusion-2",sections:[{local:"tips",sections:[{local:"available-checkpoints",title:"Available checkpoints:"},{local:"texttoimage",title:"Text-to-Image"},{local:"image-inpainting",title:"Image Inpainting"},{local:"superresolution",title:"Super-Resolution"},{local:"depthtoimage",title:"Depth-to-Image"},{local:"how-to-load-and-use-different-schedulers",title:"How to load and use different schedulers."}],title:"Tips"}],title:"Stable diffusion 2"};function wr(Ua){return _r(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Dr extends hr{constructor($){super();cr(this,$,wr,br,dr,{})}}export{Dr as default,vr as metadata};
